<?php defined('SYSPATH') or die('No direct script access.');



class Controller_Admin_Customer extends Controller_Containers_Admin {
    
    
    public function action_index() 
    {
        $customers = ORM::factory('Customer')->find_all();
        
       // $action_update = ORM::factory('Action')->where('link', '=', 'admin/customer/update')->find();
       // $action_create = ORM::factory('Action')->where('link', '=', 'admin/customer/create')->find();
  
        $view = View::factory( 'admin/customer/index' );
      //  $view->set("action_update",$action_update);
      //  $view->set("action_create",$action_create);
        
        $view->set("current_user", $this->current_user);
        $view->set("customers", $customers);
        $view->set('status_values', ORM::factory('Customer')->status_values);
        $this->template->content = $view;
    }

  

    public function action_deactivate() 
    {
        if ($this->request->is_ajax()) 
        {
            $this->auto_render = FALSE;
            $id = arr::get($this->request->post(), 'id');
            $customer = ORM::factory('Customer', $id);

            if ($customer->loaded()) 
            {
                if ($customer->status == 'ACTIVE') 
                {
                    $customer->status = 'INACTIVE';
                   
                    $message = Kohana::message('admin', 'customer:inactive:success');
                } else 
                {
                    $customer->status = 'ACTIVE';
                    
                    $message = Kohana::message('admin', 'customer:active:success');
                }
                
                
                if ($customer->save()) 
                {
                    FlashMessenger::factory()->set_message('success', $message);
                } else 
                {
                    FlashMessenger::factory()->set_message('error', Kohana::message('admin', 'customer:deactive:error'));
                }
            }

            $array = array('saved' => (int) $customer->id);
            echo json_encode($array);
        }
    }
    
    
    
}

?>
