<?php

defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Rpc extends Controller_Rpc {

    public function action_check_username() {
        if ($this->request->is_ajax()) {
            $id = $this->request->post('id');
            $name = utf8_decode($this->request->post('username'));

            $users = ORM::factory('User')
                    ->where(DB::expr("LOWER(username)"), 'LIKE', DB::expr("LOWER('" . $name . "')"));

            if ($id) {
                $users->and_where('id', '!=', $id);
            }

            if ($users->count_all() > 0) {
                echo json_encode(false);
            } else {
                echo json_encode(true);
            }
        }
    }

        
        
   
    
    public function action_check_profilename() {
        if ($this->request->is_ajax()) {
            $id = $this->request->post('id');
            $name = utf8_decode($this->request->post('name'));

            $profiles = ORM::factory('Profile')
                    ->where(DB::expr("LOWER(name)"), 'LIKE', DB::expr("LOWER('" . $name . "')"));

            if ($id) {
                $profiles->and_where('id', '!=', $id);
            }

            if ($profiles->count_all() > 0) {
                echo json_encode(false);
            } else {
                echo json_encode(true);
            }
        }
    }
    
     
        
    public function action_check_user_email(){
		if ($this->request->is_ajax()) {
            $user = ORM::factory("User")->
				where('email','like', utf8_decode($_POST['email']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $user->where('id','!=', utf8_decode($_POST['id']));
            }

            $user->find();

            if($user->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
        }
	}
        
        
    public function action_check_provider_email(){
		if ($this->request->is_ajax()) {
            $provider = ORM::factory("Provider")->
				where('email','like', utf8_decode($_POST['email']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $provider->where('id','!=', utf8_decode($_POST['id']));
            }

            $provider->find();

            if($provider->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
        }
	}   
        
          
        
       
      public function action_check_provider_ruc(){
		if ($this->request->is_ajax()) {
            $provider = ORM::factory("Provider")->
				where('ruc','like', utf8_decode($_POST['ruc']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $provider->where('id','!=', utf8_decode($_POST['id']));
            }

            $provider->find();

            if($provider->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
        }
	}   
        
        
        
    
        public function action_check_purchase_invoice(){
		if ($this->request->is_ajax()) {
            $purchase = ORM::factory("Purchase")->
				where('number_invoice','like', utf8_decode($_POST['number_invoice']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $purchase->where('id','!=', utf8_decode($_POST['id']));
            }

            $purchase->find();

            if($purchase->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
               }
        } 
        
        
        public function action_check_product_code(){
		if ($this->request->is_ajax()) {
            $product = ORM::factory("Product")->
				where('code','like', utf8_decode($_POST['code']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $product->where('id','!=', utf8_decode($_POST['id']));
            }

            $product->find();

            if($product->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
        }
	}   
        

    public function action_load_products() 
    {        
        $this->auto_render = FALSE;
        $type = arr::get($this->request->post(),'type');
        $products= ORM::factory('Product')->where('type','=',$type)->order_by("code")->find_all()->as_array("id", "code"); 
        
        echo Form::select("product_id", Helper_Select::build($products,"-Elija un Producto-"), NULL, array('id'=>'product_id','class'=>'span-5')); 
    }
        
    public function action_view_client()
    {
        if ($this->request->is_ajax())
        {
            $client = ORM::factory('Client',$_POST['id']);
            $client_arr['categories'] = '';			
            $names_services=array();
            foreach ($client->categories->find_all() as $category)                
            {
                $client_arr['categories'].= $category->name.'; ';
            }
            $numservices=0;
            $i=1;
            $services = ORM::factory('ClientService')->where('client_id', '=', $_POST['id'])->find_all();
            foreach ($services as $service) {
                $names_services[]= ORM::factory('Service')->where('id', '=', $service->service_id)->find();
                $numservices++;           
            }
            $sec_services="";
            foreach ($names_services as $name_service) {
                if($i<$numservices)
                {
                    $sec_services.= $name_service->description.", ";
                }   
                else
                {
                    $sec_services.= $name_service->description;
                }   
                $i++;
            }
            $client_arr['secondary_services'] = $sec_services;
            $client_arr['principal_service'] = $client->principal_service->description;
            $client_arr['address'] = $client->address;
            $client_arr['telephone'] = $client->telephone;
            $client_arr['email'] = $client->email;
            $client_arr['country'] = $client->country->name;
            $client_arr['city'] = $client->city->name;
            $client_arr['company_web'] = $client->company_web;
            $client_arr['registration_date'] = $client->registration_date;
            if($client->kind=='PERSON')
            {
                $client_arr['name'] = $client->name.' '.$client->person->lastname;
                $client_arr['birthdate'] = $client->person->birthdate;
                $client_arr['office_phone'] = $client->person->office_phone;
                $client_arr['mobile_phone'] = $client->person->mobile_phone;
                $client_arr['gender'] = $client->person->gender;
                $client_arr['handicapped'] = $client->person->handicapped;
                $client_arr['disability_description'] = $client->person->disability_description;
                $client_arr['labor_review'] = $client->person->labor_review;
                $client_arr['personal_review'] = $client->person->personal_review;
                $client_arr['marital_status'] = $client->person->marital_status;
                $client_arr['primary_school'] = $client->person->primary_school;
                $client_arr['secondary'] = $client->person->secondary;
                $client_arr['superior'] = $client->person->superior;
                $client_arr['titles'] = $client->person->titles;
                $client_arr['profession'] = $client->person->profession;
                $client_arr['blog'] = $client->person->blog;
                $client_arr['personal_web'] = $client->person->personal_web;
                $client_arr['hobbies'] = $client->person->hobbies;
                $client_arr['movies'] = $client->person->movies;
                $client_arr['books'] = $client->person->books;
                $client_arr['music'] = $client->person->music;
                $client_arr['company_name'] = $client->person->company_name;
                $client_arr['product_description'] = $client->person->product_description;  
            }
            elseif($client->kind=='COMPANY')
            {
                $client_arr['name'] = $client->name;
                $client_arr['awards'] = $client->company->awards;
                $client_arr['history'] = $client->company->history;
                $client_arr['member'] = $client->company->member;
                $client_arr['partners'] = $client->company->partners;
                $client_arr['clients'] = $client->company->clients;
            }
            
            
            echo json_encode($client_arr);
        }
    }
    
     
    
}