<?php
defined('SYSPATH') or die('No direct script access.');
class Controller_Client_Rpc extends Controller_Rpc {

    public function action_load_product() {
        if ($this->request->is_ajax()) {
            
            $id = utf8_decode($this->request->post('id_product'));
            $product = ORM::factory('Product',$id);
            $arr=array();
            $arr['title']=$product->name;
            $arr['description']=$product->description;            
            $arr['image']="<img src='" .URL::site("media/productsimages/".$product->id."/".$product->image)."'>";
            echo json_encode($arr);
        }   
    }
    
    public function action_check_customer_email(){
        if ($this->request->is_ajax()) 
        {
            $id = $this->request->post('id');
            $email = $this->request->post('email');

            $customers = ORM::factory('Customer')
                            ->where(DB::expr("LOWER(email)"),'LIKE',DB::expr("LOWER('".$email."')"));

            if($id)
            {
                $customers->and_where('id','!=',$id);
            }

            if($customers->count_all()>0)		
            {
                    echo json_encode(false);
            }
            else
            {
                    echo json_encode(true);
            }
        }
    }  
        
    public function action_check_customer_ruc(){
        if ($this->request->is_ajax()) 
        {
            $id = $this->request->post('id');
            $ruc = $this->request->post('ruc');

            $customers = ORM::factory('Customer')
                            ->where("ruc",'=',$ruc);

            if($id)
            {
                $customers->and_where('id','!=',$id);
            }

            if($customers->count_all()>0)		
            {
                    echo json_encode(false);
            }
            else
            {
                    echo json_encode(true);
            }
        }
    }
    
    public function action_check_password() {
        if ($this->request->is_ajax()) {
            
            $password = utf8_decode($this->request->post('password'));
            $id = utf8_decode($this->request->post('id'));
            $customer = ORM::factory('Customer',$id);
            $actualpassword=$customer->password;
            $password = md5($password);
            //die($password."   ". $actualpassword);
            if ($password != $actualpassword) {
                echo json_encode(false);
            } else {
                echo json_encode(true);
            }
        }
    }
    
    public function action_add_cart(){
        if ($this->request->is_ajax()) 
        {
            $customer_id = $this->request->post('customer_id');
            $quantity = $this->request->post('quantity');
            $id_product = $this->request->post('id_product');

            $cart = ORM::factory('Cart')->where('customer_id', '=', $customer_id)->and_where('product_id', '=', $id_product)->find();

            $product=  ORM::factory('Product',$id_product);
            
            if(!$cart->loaded())
            {
                if($product->stock>=$quantity)
                {
                    $cart->quantity=$quantity;
                    $cart->customer_id=$customer_id;
                    $cart->product_id=$id_product;
                    if($cart->save())		
                    {
                        echo json_encode($quantity.' productos fueron añadidos a su lista de compras');
                    }
                    else {
                        echo json_encode('Existieron errores al intentar añadir los productos a su lista de compras. Por favor intente de nuevo');
                    }
                }
                else
                {
                    echo json_encode('Por favor verifique que la cantidad ingresada este disponible para el producto seleccionado.');
                }
            }
            else {
                echo json_encode('El producto seleccionado ya está en su lista de compras. Si desea más unidades de este producto por favor modifique primero su lista de compras haciendo clic en "Ir a mi lista de compras"');
            }
            
            
        }
    }
    public function action_delete_cart(){
        if ($this->request->is_ajax()) 
        {
            $id_product = $this->request->post('id_product');

            $cart = ORM::factory('Cart',$id_product);
                if($cart->delete())		
                {
                    echo json_encode(true);
                }
                else {
                    echo json_encode(false);
                }
            
        }
    }
} 