<?php defined('SYSPATH') OR die('No direct access allowed.');

class Controller_Rpc extends Controller{
    public $auto_render = false;
    public $params = array();
	
    public function before()
    {
        // Convert params into array
        $this->params = explode('/',$this->request->param('params'));
    }
    
    public function action_check_nickname() {
        if ($this->request->is_ajax()) {
            
            $nickname = utf8_decode($this->request->post('nickname'));

            $clients = ORM::factory('Client')
                    ->where(DB::expr("LOWER(nickname)"), 'LIKE', DB::expr("LOWER('" . $nickname . "')"));
            
            

            if ($clients->count_all() > 0 || strpbrk($nickname, "@!¿¡?{}[]+-*/()#$%&|^")!=false) {
                echo json_encode(false);
            } else {
                echo json_encode(true);
            }
        }
    }
    
    public function action_check_customer_email(){
		if ($this->request->is_ajax()) {
            $customer = ORM::factory("Customer")->
				where('email','like', utf8_decode($_POST['email']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $customer->where('id','!=', utf8_decode($_POST['id']));
            }

            $customer->find();

            if($customer->loaded())
               echo json_encode(false);
            else
               echo json_encode(true);
        }
	}  
        
          public function action_check_customer_ruc(){
		if ($this->request->is_ajax()) {
            $customer = ORM::factory("Customer")->
				where('ruc','like', utf8_decode($_POST['ruc']))->
				reset(FALSE);

            if(isset($_POST["id"])){
                $customer->where('id','!=', utf8_decode($_POST['id']));
            }
            $i=0;
            $sum=0;
            $aux=0;
            $res=0;
            $b=0;
            $ci=$_POST['ruc'];
            $digit=substr($ci, 9,1);
            $verify=0;
            $arr=array();
            $customer->find();

            if($customer->loaded())
               echo json_encode(false);
            else
            {
                if(strlen($ci)==10)
                {
                    //ID
                    for($i=0;$i<9;$i++)
                    {
                        $num= substr($ci, $i,1);
                        if($i % 2 == 0)
                        {
                            $arr[]= $num * 2;
                        }
                        else
                        {
                            $arr[]= $num;
                        }
                    }
                    for($i=0;$i<9;$i++)
                    {
                        if(strlen($arr[$i])>=2)
                        {
                            $aux= substr($arr[$i], 0,1);
                            $aux+= substr($arr[$i], 1,1);
                            $sum+=$aux;
                        }
                        else 
                        {
                            $sum+=$arr[$i];
                        }
                    }
                    $res=$sum%10;
                    if($res==0)
                        $res=10;
                    $verify=10-$res;

                    if($verify==$digit)
                    {
                        echo json_encode(true);
                    }
                    else
                    {
                        echo json_encode(false);;
                    }
                }
                elseif (strlen($ci)==13) 
                {
                    if(substr($ci, 2,1)==6)
                    {
                        
                        $digit=substr($ci, 8,1);
                        
                        for($i=0;$i<8;$i++)
                        {
                            $num= substr($ci, $i,1);
                            $arr[]= $num;
                        }
                        
                        $arr[0]*=3;
                        $arr[1]*=2;
                        $arr[2]*=7;
                        $arr[3]*=6;
                        $arr[4]*=5;
                        $arr[5]*=4;
                        $arr[6]*=3;
                        $arr[7]*=2;
                        
                        for($i=0;$i<8;$i++)
                        {
                            $sum+=$arr[$i];
                        }
                        $res=$sum%11;
                        if($res==0)
                            $res=11;
                        $verify=11-$res;

                        if($verify==$digit)
                        {
                            echo json_encode(true);
                        }
                        else
                        {
                            echo json_encode(false);
                        }
                    }
                    elseif (substr($ci, 2,1)==9) 
                    {
                        $digit=substr($ci, 9,1);
                        
                        for($i=0;$i<9;$i++)
                        {
                            $num= substr($ci, $i,1);
                            $arr[]= $num;
                        }
                        
                        $arr[0]*=4;
                        $arr[1]*=3;
                        $arr[2]*=2;
                        $arr[3]*=7;
                        $arr[4]*=6;
                        $arr[5]*=5;
                        $arr[6]*=4;
                        $arr[7]*=3;
                        $arr[8]*=2;
                        
                        for($i=0;$i<9;$i++)
                        {
                            $sum+=$arr[$i];
                        }
                        $res=$sum%11;
                        if($res==0)
                            $res=11;
                        $verify=11-$res;
                        

                        if($verify==$digit)
                        {
                            echo json_encode(true);
                        }
                        else
                        {
                            echo json_encode(false);
                        }
                    }
                    else
                    {
                        for($i=0;$i<9;$i++)
                        {
                            $num= substr($ci, $i,1);
                            if($i % 2 == 0)
                            {
                                $arr[]= $num * 2;
                            }
                            else
                            {
                                $arr[]= $num;
                            }
                        }
                        for($i=0;$i<9;$i++)
                        {
                            if(strlen($arr[$i])>=2)
                            {
                                $aux= substr($arr[$i], 0,1);
                                $aux+= substr($arr[$i], 1,1);
                                $sum+=$aux;
                            }
                            else 
                            {
                                $sum+=$arr[$i];
                            }
                        }
                        $res=$sum%10;
                        if($res==0)
                            $res=10;
                        $verify=10-$res;

                        if($verify==$digit)
                        {
                            echo json_encode(true);
                        }
                        else
                        {
                            echo json_encode(false);;
                        }
                    }
                    
                }
                else {
                    echo json_encode(false);    
                }
                 
            }
               
        }
	} 
       
    public function action_check_password() {
        if ($this->request->is_ajax()) {
            
            $password = utf8_decode($this->request->post('password'));
            $id = utf8_decode($this->request->post('clientid'));
            $client = ORM::factory('Customer',$id);
            $actualpassword=$client->password;
            $password = md5($password);
            //die($password."   ". $actualpassword);
            if ($password != $actualpassword) {
                echo json_encode(false);
            } else {
                echo json_encode(true);
            }
        }
    }
    
    
    
    
    public function action_check_client_email() 
    {
        if ($this->request->is_ajax()) 
        {
            $id = $this->request->post('id');
            $email = $this->request->post('email');

            $clients = ORM::factory('Customer')
                            ->where(DB::expr("LOWER(email)"),'LIKE',DB::expr("LOWER('".$email."')"));

            if($id)
            {
                $clients->and_where('id','!=',$id);
            }

            if($clients->count_all()>0)		
            {
                    echo json_encode(false);
            }
            else
            {
                    echo json_encode(true);
            }
        }
    }
    
    public function action_check_email_forgotpassword() 
    {
        if ($this->request->is_ajax()) 
        {
            $email = $this->request->post('email_forgot');

            $clients = ORM::factory('Customer')
                            ->where(DB::expr("LOWER(email)"),'LIKE',DB::expr("LOWER('".$email."')"));

            if($clients->count_all()>0)		
            {
                    echo json_encode(true);
            }
            else
            {
                    echo json_encode(false);
            }
        }
    }
    public function action_load_cities() 
    {        
        $this->auto_render = FALSE;
        $province = arr::get($this->request->post(),'province');
        $cities = ORM::factory('City')->where('province_id', '=', $province )->find_all()->as_array('id','name');
        echo Form::select("city_id", Helper_Select::build($cities,"-Elija una ciudad-"), NULL, array('id'=>'city_id','class'=>'span-5')); 
    }
    
    
}