<?php

Class Model_Globalfunctions extends Model{

	public static function specialchars($str)
    {
            # this is a very temporary patch... specialchars function was messing with serializing
            # what needs to be done is to find all of the places that serialize is being used
            # and convert the SQL::bind to an array function that will convert each element
            # but use quotes to encapsulate the array

            if(substr($str, 0, 2) == "a:")
            {
                    return addslashes($str);
            }
            else
            {
                    $str = str_replace("<", "&lt;", $str);
                    $str = str_replace(">", "&gt;", $str);
                    $str = str_replace("'", "&#039;", $str);
                    $str = str_replace("\"", "&quot;", $str);
                    $str = str_replace("\\\\", "\\", $str); # to catch any double encoding
                    $str = str_replace("&amp;", "&", $str); # this will reverse any double html encoding issues we have had

                    return addslashes($str); # this verifies that we have a safe query
            }
    }

	public static function encrypt($string)
	{
		$key = 'SYSKEY';
		$encryption = MCRYPT_TWOFISH;
		$mode = MCRYPT_MODE_ECB;
		return mcrypt_encrypt($encryption, $key, $string, $mode,mcrypt_create_iv(mcrypt_get_iv_size($encryption, $mode), MCRYPT_RAND));
	}
        public static function md5_mail($string)
	{
		$aux=strtoupper($string);
		$email=md5($aux);
		return $email;
	}

	public static function decrypt($string)
	{
            $key = 'SYSKEY';
            $encryption = MCRYPT_TWOFISH;
	    $mode = MCRYPT_MODE_ECB;
	    return mcrypt_decrypt($encryption, $key, $string, $mode,mcrypt_create_iv(mcrypt_get_iv_size($encryption, $mode), MCRYPT_RAND));
        }

	public static function generatePassword($fSize,$linSize,$type=true,$length=0)
	{
        srand(self::create_sequence());
        $password="";
        $max_chars = round(rand($fSize,$linSize));
        $chars = array();
        for ($i="a"; $i<"z"; $i++) $chars[] = $i;
        $chars[] = "z";
        for ($i=0; $i<$max_chars; $i++) {
          $letra = round(rand(0, 1));
          if ($type == false)
                $password .= $chars[round(rand(0, count($chars)-1))];
          else
                $password .= round(rand(0, 9));
        }

        $password = md5($password);

		if($length)
			$password=substr($password,0,$length);
		else
			$password=substr($password,0,7);

        return $password;
        }
        
        public static function confirmation_purchase_mail($email,$url) 
        {
            //Initialise From data
            $to=array($email);
            $swift = Email::connect();
            //Create the message
            $message = Swift_Message::newInstance();
            //Give the message a subject
            
                $message->setSubject(utf8_encode(html_entity_decode('Nueva &oacute;rden realizada')));
            
            //Set the From address with an associative array
            $admin_user = ORM::factory('User',2);
            $message->setFrom($admin_user->email,$admin_user->name.' '.$admin_user->last_name);
            $cid1 = $message->embed(Swift_Image::fromPath('media/images/logo_importadora.png'));
            
            //Set the To addresses with an associative array
            $message->setTo($to);

            //Give it a body
            //this is used to send text only (wont recognize a mime type like the html tags)
            $message->setBody("<!DOCTYPE html PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN''http://www.w3.org/TR/html4/loose.dtd'>
				<html>
				<head>
                                <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
                                <title>Nueva &oacute;rden realizada en el sistema de ventas en l&iacute;nea de Importadora D&aacute;vila</title>
                                </head>
                                <body>
                                <center>
                                <table width='450'  border='0' align='center' cellpadding='0' cellspacing='0'>
                                <tr>
                                <td align='center'>
                                <a href='www.importadoradavila.com'><img src='$cid1' alt='logo_mail'  border='0' border='0' /></a><br>
                                </td>
                                </tr>
                                </table>
                                </center>
                                Has realizado una &oacute;rden en el sistema de ventas en l&iacute;nea de Importadora D&aacute;vila. Por favor realiza tu pago a la cuenta corriente n&uacute;mero 3058584304 del Banco del Pinchincha a nombre de Importadora D&aacute;vila. C.I. 1708710916 lo m&aacute;s pronto posible y registra la informaci&oacute;n de tu pago <a href='$url'> aquí</a> una vez iniciada sesi&oacute;n. 
                                
                                <br>
                                POR FAVOR NO RESPONDA A ESTE CORREO
                                </body>
                                </html>",'text/html');

            //And optionally an alternative body
            //this will replace what was set in setBody()

           // $message->addPart($text, 'text/html');
           
           
            //Optionally add any attachments		

            //foreach($files as $f)
            //$message->attach(Swift_Attachment::fromPath(DOCROOT.'media/doc/'.$f));	

            //Test if the email was sent
            if( ! $swift->send($message) )
            {
                array_push($errors,'ERROR SENDING MAIL'. date('d/m/Y'));
            }

        }
        
        
        public static function send_confirmation_mail($email, $subject='', $text, $url) 
        {
            //Initialise From data
            $to=array($email);
            $swift = Email::connect();
            //Create the message
            $message = Swift_Message::newInstance();
            //Give the message a subject
            if($subject=='')
                $message->setSubject(utf8_encode(html_entity_decode('Confirmaci&oacute;n de e-mail de Importadora D&aacute;vila')));
            else
                $message->setSubject(utf8_encode(html_entity_decode($subject)));

            //Set the From address with an associative array
            $admin_user = ORM::factory('User',2);
            $message->setFrom($admin_user->email,$admin_user->name.' '.$admin_user->last_name);
            $cid1 = $message->embed(Swift_Image::fromPath('media/images/logo_importadora.png'));
            
            //Set the To addresses with an associative array
            $message->setTo($to);

            //Give it a body
            //this is used to send text only (wont recognize a mime type like the html tags)
            $message->setBody("<!DOCTYPE html PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN''http://www.w3.org/TR/html4/loose.dtd'>
				<html>
				<head>
                                <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
                                <title>Activa t&uacute; cuenta</title>
                                </head>
                                <body>
                                <center>
                                <table width='450'  border='0' align='center' cellpadding='0' cellspacing='0'>
                                <tr>
                                <td align='center'>
                                <a href='www.importadoradavila.com'><img src='$cid1' alt='logo_mail'  border='0' border='0' /></a><br>
                                </td>
                                </tr>
                                </table>
                                </center>
                                Gracias por registrarte en la página de compras en línea de Importadora Dávila. Para completar tu registro y activar tu cuenta debes hacer <a href='$url'>click aquí</a>.
                                <br>
                                POR FAVOR NO RESPONDA A ESTE CORREO
                                </body>
                                </html>",'text/html');

            //And optionally an alternative body
            //this will replace what was set in setBody()

           // $message->addPart($text, 'text/html');
           
           
            //Optionally add any attachments		

            //foreach($files as $f)
            //$message->attach(Swift_Attachment::fromPath(DOCROOT.'media/doc/'.$f));	

            //Test if the email was sent
            if( ! $swift->send($message) )
            {
                array_push($errors,'ERROR SENDING MAIL'. date('d/m/Y'));
            }

        }

        public static function send_message_mail($email, $text) 
        {
            //Initialise From data
            
            $swift = Email::connect();
            //Create the message
            $message = Swift_Message::newInstance();
            //Give the message a subject
            $message->setSubject(utf8_encode(html_entity_decode('Atención al cliente')));
            
            //Set the From address with an associative array
            
            $message->setFrom($email,'Atención al cliente');
            
            //Set the To addresses with an associative array
            $message->setTo('servicio.cliente@importadoradavila.com');

            //Give it a body
            //this is used to send text only (wont recognize a mime type like the html tags)
            $message->setBody("<!DOCTYPE html PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN''http://www.w3.org/TR/html4/loose.dtd'>
				<html>
				<head>
                                <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
                                <title>Atención al cliente</title>
                                </head>
                                <body>
                                <center>
                                <table width='450'  border='0' align='center' cellpadding='0' cellspacing='0'>
                                <tr>
                                
                                </tr>
                                </table>
                                </center>
                                '$text'
                                </body>
                                </html>",'text/html');

            //And optionally an alternative body
            //this will replace what was set in setBody()

           // $message->addPart($text, 'text/html');
           
           
            //Optionally add any attachments		

            //foreach($files as $f)
            //$message->attach(Swift_Attachment::fromPath(DOCROOT.'media/doc/'.$f));	

            //Test if the email was sent
            if( ! $swift->send($message) )
            {
                array_push($errors,'ERROR SENDING MAIL'. date('d/m/Y'));
            }

        }
        
        
        public static function send_password_mail($email, $subject='', $text, $url) 
        {
            //Initialise From data
            $to=array($email);
            $swift = Email::connect();
            //Create the message
            $message = Swift_Message::newInstance();
            //Give the message a subject
            if($subject=='')
                $message->setSubject(utf8_encode(html_entity_decode('Solicitud para restablecer su clave de Importadora D&aacute;vila')));
            else
                $message->setSubject(utf8_encode(html_entity_decode($subject)));

            //Set the From address with an associative array
            $admin_user = ORM::factory('User',1);
            $message->setFrom($admin_user->email,$admin_user->name.' '.$admin_user->last_name);
            $cid1 = $message->embed(Swift_Image::fromPath('media/images/logo_importadora.png'));
            
            //Set the To addresses with an associative array
            $message->setTo($to);

            //Give it a body
            //this is used to send text only (wont recognize a mime type like the html tags)
            $message->setBody("<!DOCTYPE html PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN''http://www.w3.org/TR/html4/loose.dtd'>
				<html>
				<head>
                                <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
                                <title>Activa t&uacute; cuenta</title>
                                </head>
                                <body>
                                <center>
                                <table width='450'  border='0' align='center' cellpadding='0' cellspacing='0'>
                                <tr>
                                <td align='center'>
                                <a href='www.importadoradavila.com'><img src='$cid1' alt='logo_mail'  border='0' border='0' /></a><br>
                                </td>
                                </tr>
                                </table>
                                </center>
                                Para restablecer tu contraseña por favor has click en el siguiente link: <a href='$url'>click aquí</a>. 
                                Si no hiciste ninguna solicitud por favor ignora este correo. <br>
                                POR FAVOR NO RESPONDA A ESTE CORREO
                                </body>
                                </html>",'text/html');

            //And optionally an alternative body
            //this will replace what was set in setBody()

           // $message->addPart($text, 'text/html');
           
           
            //Optionally add any attachments		

            //foreach($files as $f)
            //$message->attach(Swift_Attachment::fromPath(DOCROOT.'media/doc/'.$f));	

            //Test if the email was sent
            if( ! $swift->send($message) )
            {
                array_push($errors,'ERROR SENDING MAIL'. date('d/m/Y'));
            }

        }
        
        public static function send_invoice_mail($name,$email, $orderid) 
        {
            //Initialise From data
            $to=array($email);
            $swift = Email::connect();
            //Create the message
            $message = Swift_Message::newInstance();
            //Give the message a subject
                $message->setSubject(utf8_encode(html_entity_decode('Su orden est&aacute; lista para ser entregada')));
            
            //Set the From address with an associative array
            $admin_user = ORM::factory('User',1);
            $message->setFrom($admin_user->email,$admin_user->name.' '.$admin_user->last_name);
            $cid1 = $message->embed(Swift_Image::fromPath('media/images/logo_importadora.png'));
            
            //Set the To addresses with an associative array
            $message->setTo($to);

            //Give it a body
            //this is used to send text only (wont recognize a mime type like the html tags)
            $message->setBody("<!DOCTYPE html PUBLIC '-//W3C//DTD HTML 4.01 Transitional//EN''http://www.w3.org/TR/html4/loose.dtd'>
				<html>
				<head>
                                <meta http-equiv='Content-Type' content='text/html; charset=UTF-8'>
                                <title>Orden finalizada</title>
                                </head>
                                <body>
                                <center>
                                <table width='450'  border='0' align='center' cellpadding='0' cellspacing='0'>
                                <tr>
                                <td align='center'>
                                <a href='www.importadoradavila.com'><img src='$cid1' alt='logo_mail'  border='0' border='0' /></a><br>
                                </td>
                                </tr>
                                </table>
                                </center>
                                Estimado '$name',
                                <br><br>    
                                La orden '$orderid' est&aacute; lista para ser entregada. Por favor ingrese a <a href='www.importadoradavila.com'>www.importadoradavila.com</a> y revise su factura. <br>Gracias por preferirnos.
                                <br>
                                POR FAVOR NO RESPONDA A ESTE CORREO
                                </body>
                                </html>",'text/html');

            //And optionally an alternative body
            //this will replace what was set in setBody()

           // $message->addPart($text, 'text/html');
           
           
            //Optionally add any attachments		

            //foreach($files as $f)
            //$message->attach(Swift_Attachment::fromPath(DOCROOT.'media/doc/'.$f));	

            //Test if the email was sent
            if( ! $swift->send($message) )
            {
                array_push($errors,'ERROR SENDING MAIL'. date('d/m/Y'));
            }

        }
		
	public static function generateFileName($fSize, $linSize, $type=true)
	{
        srand(self::create_sequence());
        $name="";
        $max_chars = round(rand($fSize,$linSize));
        $chars = array();
        for ($i="a"; $i<"z"; $i++) $chars[] = $i;
        $chars[] = "z";
        for ($i=0; $i<$max_chars; $i++) {
          $letra = round(rand(0, 1));
          if ($type == false)
                $name .= $chars[round(rand(0, count($chars)-1))];
          else
                $name .= round(rand(0, 9));
        }
        $name=md5($name);
        $name=substr($name,0,6);

        return $name;
    }

    public static function create_sequence()
    {
       list($usec, $sec) = explode(' ', microtime());
       return (float) $sec + ((float) $usec * 100000);
    }	
    /**
	 *@name: stringToUpper
	 *@param: string var
	 *@description: converts a string to uppercase, including all special latin characters
	 *@author: Gabriela Guerrero
	 **/
	public static function stringToUpper($str)
	{
		// convert to entities
	   $subject = htmlentities($str,ENT_QUOTES);
	   $pattern = '/&([a-z])(uml|acute|circ';
	   $pattern.= '|tilde|ring|elig|grave|slash|horn|cedil|th);/e';
	   $replace = "'&'.strtoupper('\\1').'\\2'.';'";
	   $result = preg_replace($pattern, $replace, $subject);
	   // convert from entities back to characters
	   $htmltable = get_html_translation_table(HTML_ENTITIES);
	   foreach($htmltable as $key => $value) {
		  $result = ereg_replace(addslashes($value),$key,$result);
	   }
	   return(strtoupper($result));
	}
	
	/**
	 *@name: makeThumbnail
	 *@param: $photoFilename,$source->source of the original photo, $destination->for the thumb
	 *@description: create a thumb from a photo
	 *@author: Gabriela Guerrero
	 **/
	public static function makeThumbnail($photoFilename, $source, $destination, $x = 48, $y = 48)
	{
		if($photoFilename && file_exists($source.$photoFilename)){
			//MAKING THUMBNAIL
				$photo = explode('.', $photoFilename);
				$extension = $photo[1];
				if($extension == 'jpg' || $extension == 'jpeg' || $extension == 'JPG' || $extension == 'JPEG'){
					$img_r = imagecreatefromjpeg($source.$photoFilename);
					$jpeg_quality = 90;
				}
				else{
					if($extension == 'gif' || $extension == 'GIF'){
						$img_r = imagecreatefromgif($source.$photoFilename);
					}
					else{
						$img_r = imagecreatefrompng($source.$photoFilename);
					}
				}
				list($width, $height, $type, $attr) = getimagesize($source.$photoFilename);
				$dst_r = ImageCreateTrueColor( $x, $y );
				$im = imagecopyresampled($dst_r, $img_r, 0,0, 0,0, $x,$y, $width,$height);
			//SAVING THUMB, DEPENDING ON ITS EXTENSION
				$newImage = $destination.$photoFilename;
				if($extension == 'jpg' || $extension == 'jpeg' || $extension == 'JPG' || $extension == 'JPEG'){
					$im = imagejpeg($dst_r,$newImage,$jpeg_quality);
				}
				else{
					if($extension == 'gif' || $extension == 'GIF'){
						$im = imagegif($dst_r, $newImage);
					}
					else{
						$im = imagepng($dst_r, $newImage);
					}
				}
		}
	}
	
	/**
	 *@name: getTimeValues
	 *@param: $time_unit
	 *@description: Returns an associative array of values of $time_unit. Posible $time_unit are 'seconds','minutes','hours','week_days','months'  
	 **/
	public static function getTimeValues($time_unit)
	{
		$result = array();
		switch ( $time_unit )
		{
			case 'seconds':
			case 'minutes':
				for( $i = 0 ; $i < 60; $i++ )
					if( $i < 10 )
						$result[] = '0'.$i;
					else 
						$result[] = $i; 
			break;
			case 'hours':
				 for( $i = 0 ; $i < 24; $i++ )
					if( $i < 10 )
						$result[] = '0'.$i;
					else 
						$result[] = $i; 
			break;
			case 'week_days':
				 $result = array ( 'Domingo','Lunes','Martes','Mi&eacute;rcoles','Jueves','Viernes','S&aacute;bado' ); 
			break;
			case 'months':
				 $result = array ( 1 => 'Enero', 2 => 'Febrero', 3 => 'Marzo', 4 => 'Abril', 5 => 'Mayo',
				 					 6 => 'Junio', 7 => 'Julio', 8 => 'Agosto', 9 => 'Septiembre', 10 => 'Octubre',
				 					 11 => 'Noviembre', 12 => 'Diciembre' ); 
			break;
		}
		
		return $result;
		
	}

	public static function unshift_select_item($array){
        if(is_array($array)){
                $aux_array = array('' => '- Seleccione -');

                return $aux_array + $array;
        }else{
                return array('' => '- Opcional -');
        }		
    }
	
	//Uncomment once we have this functionality
	/*public static function get_menu($serial_prf)
	{
		$profile = new Model_Profile($serial_prf);
		return $profile->get_menu_process();
	}*/
	 /**
     * generate_user
     * Generates a username from given parameters of the $misc array
     * @param array $misc. array( 'firstname' => 'john' , 
     *                            'lastname' => 'smith' ,
     *                            'fields'=> 'username',
     *                            'class'=> 'users',
     *                            'db'=>$db);}
     * @return bool|string If succeded returns the string of the username. FALSE if something fails.
     */
    public static function generate_user($misc)
    {   
        setlocale(LC_CTYPE, 'es_ES');
        $misc['firstname'] = strtolower(htmlentities($misc['firstname'],NULL,'UTF-8'));
        $misc['lastname'] = strtolower(htmlentities($misc['lastname'],NULL,'UTF-8'));
        setlocale(LC_ALL,NULL);
        $exists_user = 0;
        if($misc['firstname'] != '' && $misc['lastname'] != ''){
            
            $a = array('&aacute;', '&eacute;', '&iacute;', '&oacute;', '&uacute;', '&ntilde;', ' ', '&auml;', '&euml;', '&iuml;', '&ouml;', '&uuml;');
            $b = array('a', 'e', 'i', 'o', 'u', 'n', '', 'a', 'e', 'i', 'o', 'u' );
            $misc['firstname'] = str_replace($a, $b,$misc['firstname']);
            $misc['lastname'] = str_replace($a, $b,$misc['lastname']);
            
            do{
                $username = substr($misc['firstname'],0,1).$misc['lastname'];
                if($exists_user != 0){// if there is a user with the same name, the function adds a number
                    $username .= $exists_user;
                }
                $sql = "SELECT 1 FROM ".$misc['class']." WHERE ".$misc['fields']." = :username_usr";
                $query = DB::query(Database::SELECT, $sql);
                $query->param(':username_usr', $username);
                
                $result = $query->execute()->as_array();
                if($result){
                    $exists_user ++;//user exists
                }
                else{
                    return $username;
                }
            }while($exists_user != 0);
        }else{
                return false;
        }
    }
}