<?php

class Model_Order extends ORM {
    
     public $_table_name="orders";
     public static $status_values = array('ORDERED' => 'Ordenada', 'PAYED' => 'Pagada','SHIPPED' => 'Finalizada','CANCELED' => 'Cancelada');
    
     protected $_has_many = array(
    'products' => array('through' => 'order_products'),
           
    );
     
      protected $_belongs_to = array(
     'customer' => array(
         'model'       => 'Customer',
         'foreign_key' => 'customer_id'
     ));
    
      protected $_has_one = array(
     'invoice' => array(
     'model'       => 'Invoice',
     'foreign_key' => 'invoice_id'
     ));
      
     public function rules() 
    {
        return array (
            'date' => array (
                array('not_empty'),
            ),
            'subtotal' => array (
                array('not_empty'),
            ),
            'iva' => array (
                array('not_empty'),
            ),
            'total' => array (
                array('not_empty'),
               
            )
            
        );
    }
      
      
}
?>
