<?php

class Model_Product extends ORM {
    

    public $_table_name="products";
    public static $type_values = array('BRAKEPAD' => 'Pastilla de freno', 'BAND' => 'Banda');
    
     protected $_has_many = array(
    'purchases' => array('through' => 'purchase_products'),
    'orders' =>   array('through' => 'order_products')    
    );
        

    
      public function filters() 
    {
        return array (
            'code' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'name' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'description' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'image' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            )
            
        );
    }
    
    public function rules() 
    {
        return array (
            'code' => array (
                array('not_empty'),
            ),
            'name' => array (
                array('not_empty'),
            ),
            'description' => array (
                array('not_empty'),
            ),
            'image' => array (
                array('not_empty'),
            ),
        );
    }
    
    

}

?>
