<?php



class Model_Provider extends ORM {
    
    public $status_values = array('ACTIVE' => 'Activo', 'INACTIVE' => 'Inactivo');
    public $_table_name="providers";
    
     //..RELATIONSHIP WITH OTHER TABLES
    protected $_belongs_to = array(
     'city' => array(
         'model'       => 'City',
         'foreign_key' => 'city_id'
     ));
     
    protected $_has_many = array(
    'purchases' => array()
           
    );
        

    
      public function filters() 
    {
        return array (
            'ruc' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'name' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'address' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'phone' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'fax' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'cellphone' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            ),
            'email' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            )
        );
    }
    
    public function rules() 
    {
        return array (
            'ruc' => array (
                array('not_empty'),
            ),
            'name' => array (
                array('not_empty'),
            ),
            'address' => array (
                array('not_empty'),
            ),
            'phone' => array (
                array('not_empty'),
               
            ),
            'cellphone' => array (
                array('not_empty'),
            )
            
        );
    }
    
    
    
}

?>
