<?php

class Model_Purchase extends ORM {
    
  //  public $status_values = array('ACTIVE' => 'Activo', 'INACTIVE' => 'Inactivo');
    public $_table_name="purchases";
    
    
     //..RELATIONSHIP WITH OTHER TABLES
    protected $_belongs_to = array(
     'provider' => array(
         'model'       => 'Provider',
         'foreign_key' => 'provider_id'
     ));
     
   protected $_has_many = array(
  
        'products' => array('through' => 'purchase_products'),
           
    );
        

    
      public function filters() 
    {
        return array (
            'number_invoice' => array (
                array('trim'),
                array('strip_tags'),
                array('mysql_real_escape_string')
            )
        );
    }
    
    public function rules() 
    {
        return array (
           
            'date' => array (
                array('not_empty'),
            ),
            'number_invoice' => array (
                array('not_empty'),
            )
          
            
        );
    }
    
    
    
}


?>
