<?php defined('SYSPATH') or die('No direct script access.');?>

<div class="prepend-2 span-20 append-2 last ">
    <h2 class="center line">Administraci&oacute;n de Perfiles</h2>


    <div class="span-20 last line content_area">
        <?php if($current_user->profile->has('actions', $action_create)): ?>
        <div class="span-20 last center">
            <?php echo HTML::anchor('admin/profile/create', 'Nuevo Perfil',array('class'=>'gray-button','style'=>'width:80px;height:12px;')); ?>
	</div>
        <?php endif; ?>
        <div>
            <?php 
//            foreach ($current_user->profile->actions->find_all() as $action){
//                print_r ($action->as_array()); 
//            }
            ?>
            <?php if(count($profiles)>0): ?>
                <table id="table-profiles">
                    <thead>
                        <tr>
                            <th>Nombre</th>
                            <th>Estado</th>
                            <th>Acciones</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($profiles as $profile): ?>
                        <tr>
                            <td><?php echo $profile->name; ?></td>
                            <td class="span-2"><?php echo $status_values[$profile->status]; ?></td>

                            <td class="span-2">
                                <?php if($profile->id != '1'){?>
                                    <?php if($current_user->profile->has('actions', $action_update)): ?>
                                        <?php echo HTML::anchor("admin/profile/update/" . $profile->id, "Actualizar"); ?> 
                                        <?php if(/*$current_user->id != $user->id*/true): ?>
                                                    |
                                            <?php $question_opt = $profile->status=='ACTIVE'? "Desactivar" : "Activar"; ?>
                                            <?php echo HTML::anchor("#", $question_opt, array('id'=>'deactivate_'.$profile->id, 'opt'=>$question_opt)); ?>							
                                        <?php endif; ?>
                                    <?php endif; ?>
                                <?php }?>
                            </td>

                        </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
            <?php else: ?>
                <div class="prepend-5 span-10 append-5 line last center">
                    <div class="span-10 line last notice">
                            <?php echo Kohana::message('admin', 'profile:index:empty'); ?>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<script type="text/javascript" >
    $(document).ready(function(){
        if($('#table-profiles').length>0){        
            $('#table-profiles').dataTable( {
                "bPaginate": true,
                            "bLengthChange": true,
                "bInfo": true,
                "sPaginationType": "full_numbers",
                "oLanguage": {
                    "oPaginate": {
                                    "sFirst": "Primera",
                                    "sLast": "&Uacute;ltima",
                                    "sNext": "Siguiente",
                                    "sPrevious": "Anterior"
                    },
                    "sZeroRecords": "No se encontraron resultados",
                    "sInfo": "_START_ - _END_ de _TOTAL_",
                    "sInfoEmpty": "0 - 0 de 0",
                    "sInfoFiltered": "(de _MAX_ en total)",
                    "sSearch": "Buscar:",
                    "sProcessing": "Filtrando..",
                "sLengthMenu": "Mostrar _MENU_ registros"
                },
                "aoColumns": [
                            {"sWidth":"55%", "bSortable":true},
                            {"sWidth":"20%", "bSortable":true},
                            {"sWidth":"25%", "bSortable":false}
                        ],
                        "aLengthMenu": [[20, 30, 40, 50, -1], [20, 30, 40, 50, "Todos"]],
                "iDisplayLength" : 20
            });	
        }

        $('[id^="deactivate_"]').live('click',function(){
            show_ajax_loader();
                var answer = confirm("Desea "+$(this).attr('opt')+" el Perfil?")
                if (answer){				
                    $.ajax({
                        url: document_root+'admin/profile/deactivate',
                        type: "post",
                        dataType: 'json',
                        data: {						
                            id: this.id.replace("deactivate_","")
                        },
                        success: function(data){
                            if(data['saved']){
                                window.location = document_root+"admin/profile/"
                                hide_ajax_loader();
                            }
                        }
                    });
                }else
                    hide_ajax_loader();
        });	

    });
</script>
