<?php defined('SYSPATH') or die('No direct script access.'); ?>
<div class="prepend-2 span-20 append-2 last center">
    <h2><?php echo ($user->id? "Actualizar" : "Nuevo"); ?> Usuario</h2>
    <div class="required-fields">* Campos obligatorios</div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmCreateUser','class'=>'span-24 last')); ?>
    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("email", "* Email:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("email", $user->email, array('id'=>'email','class'=>'span-5')); ?>
        </div>
            <?php if($user->id): ?>
                <div class="prepend-1 span-4">
                <?php echo Form::label("status", "* Estado:", array('class'=>'right')); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::select("status", $status_values, $user->status, array('id'=>'status','class'=>'span-5')); ?>
                </div>
            <?php endif; ?>
    </div>

    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("name", "* Nombres:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <div class="span-5 last ">
                    <?php echo Form::input("name", $user->name, array('id'=>'name','class'=>'span-5')); ?>
            </div>        
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("last_name", "* Apellidos:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("last_name", $user->last_name, array('id'=>'last_name','class'=>'span-5')); ?>
        </div>	
    </div>
    <div class="prepend-2 span-20 append-2 line last">
        <?php if($user->id): ?>
        <div class="span-4">
            <?php echo Form::label("", "* Nombre de Usuario:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <div class="span-5 last ">
                <?php echo Form::label("", $user->username, array('id'=>'username','class'=>'span-5')); ?>
            </div>        
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("profile", "* Perfil:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
             <?php echo Form::select("profile_id", $profiles_array, $user->profile_id, array('id'=>'profile_id','class'=>'span-5')); ?>
        </div>	
        <?php else: ?>
        <div class="span-4">
            <?php echo Form::label("profile", "* Perfil:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <div class="span-5 last ">
                <?php echo Form::select("profile_id", $profiles_array, NULL, array('id'=>'profile_id','class'=>'span-5')); ?>
            </div>        
        </div>	
        <?php endif; ?>
    </div>
    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("password", "* Contrase&ntilde;a:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <div class="span-5 last ">
                <?php echo Form::password("password",$user->id? "_pass_flag_" : NULL,array('id'=>'password', 'autocomplete'=>'off','class'=>'span-5')); ?>
            </div>        
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("confirmPassword", "* Confirmar Contrase&ntilde;a:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
             <?php echo Form::password("confirmPassword",$user->id? "_pass_flag_" : NULL, array('id'=>'confirmPassword', 'autocomplete'=>'off','class'=>'span-5')); ?>
        </div>	
    </div>
    <div class="prepend-2 span-20 append-2 line last center" style="margin-top:30px">
            <?php echo Form::hidden('id', "$user->id", array('id'=>'id')) ?>
            <?php echo Form::submit("save", "Guardar"); ?>
            <input type=button value="Atr&aacute;s" onClick="history.go(-1)" style="width:73px;">
    </div>
<?php echo Form::close(); ?>
<script type="text/javascript" >
    $(document).ready(function() {
        
        
        
        
        
        /*VALIDATIONS*/
        $("#frmCreateUser").validate({
            onfocusout: false,
            onkeyup: false,
            wrapper: "ol",
            rules: {
                name:{
                    required:true,
                    textOnly: true
                },
                last_name:{
                    required:true,
                    textOnly: true
                },
                email:{
                    required:true,
                    email:true,
                    remote: {
                        url: document_root+"admin/rpc/check_user_email",
                            type: "POST",
                            data:{
                                document: function(){
                                    return $('#email').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                        }
                    }
                },
                profile_id:{
                    required:true
                },
                status:{
                    required:true
                },
                password:{
                    required:true,
                    minlength: 5
                },
                confirmPassword:{
                    required:true,
                    equalTo:"#password"
                }

            },
            messages: {
                name:{
                    required:'El campo es obligatorio.',
                    textOnly:'El campo solo acepta caracteres.'
                },
                last_name:{
                    required:'El campo es obligatorio.',
                    textOnly:'El campo solo acepta caracteres.'
                },
                email:{
                    required:'El campo es obligatorio.',
                    email:'La cadena ingresada no es un email v$aacute;lido',
                    remote:'El email ya est&aacute; asociado a otro usuario.'
                },
                username:{
                    required:'El campo es obligatorio.',
                    remote: 'El Nombre de Usuario ya existe'
                },
                profile_id:{
                    required:'El campo es obligatorio.'
                },
                status:{
                    required:'El campo es obligatorio.'
                },
                password:{
                    required:'El campo es obligatorio'
                },
                confirmPassword:{
                    required:'El campo es obligatorio',
                    equalTo:'Las Contrase&ntilde;as no coinciden'
                }
            },
            submitHandler: function(form){

             show_ajax_loader();
             form.submit();
            }
        });
        
    });
</script>

