<?php defined('SYSPATH') or die('No direct script access.'); ?>


<div class="prepend-2 span-20 append-2 last line">
    <div class="required-fields">* Campos obligatorios</div>
</div>

<div class="prepend-2 span-20 append-2 line last">
    <div class="span-20 last line">
        <div class="span-4">
            <?php echo Form::label("ruc", "RUC:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::label("ruc", $client->ruc); ?>
        </div>
    </div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmChangePassword')); ?>

<div class="prepend-2 span-20 append-2 line last">   
	<div class="span-20 last line">
		<div class="span-4">
			<?php echo Form::label("password", "* Nueva Contrase&ntilde;a:", array('class'=>'right')); ?>
		</div>	
		<div class="span-5 last">
			<?php echo Form::password("password", null ,array('id'=>'password', 'autocomplete'=>'off','class'=>'span-5')); ?>
		</div>

		<div class="prepend-1 span-4">
			<?php echo Form::label("confirmPassword", "* Confirmar Contrase&ntilde;a:", array('class'=>'right')); ?>
		</div>	
		<div class="span-5 last">
			<?php echo Form::password("confirmPassword", null, array('id'=>'confirmPassword', 'autocomplete'=>'off','class'=>'span-5')); ?>
		</div>
	</div>	
</div>

<?php echo Form::hidden('id', "$client->id", array('id'=>'id')); ?>
<?php echo Form::close(); ?>

<div class="prepend-2 span-20 append-2 center">    
    <?php echo Form::button("btnCreate", "Guardar", array('id'=>'btnCreate','type'=>'button')); ?>
</div>

<script type="text/javascript">
    $(document).ready(function(){
        window.onload= function(){
            $("#password").focus()
        }
		/*VALIDATION SECTION*/
        $("#frmChangePassword").validate({
            wrapper: "label",
            onkeyup: false,
            onfocusout: false,
            rules: {
                password:{
                    required: true,
                    maxlength:45,
                    minlength:8
                },
                confirmPassword:{
                    required: true,
                    equalTo: $('#password')
                }
            },
            messages: {
                confirmPassword: {
                    equalTo: "Las contrase&ntilde;as no concuerdan."
                }
            }
        });
		/*END VALIDATION SECTION*/
		
        $('#btnCreate').bind('click',function(){
            if($('#frmChangePassword').valid())
                {
                    $('#frmChangePassword').submit();
                    show_ajax_loader();
                }
                
        });
    });
</script>
