<?php defined('SYSPATH') or die('No direct script access.'); ?>
<h2>Mi cuenta</h2>
<div class="span-24 line last">
    <div class="prepend-1 span-22 last">
        <ul> 
            <li> Actualice uno o varios campos de proveedor de la Cooperativa OSCUS CIA LTDA.</li>
            <li> Para abrir una secci&oacute;n haga click en el t&iacute;tulo de cada secci&oacute;n.</li>
            <li> Al hacer clic en "Guardar" se actualizar&aacute; la informaci&oacute;n y su cuenta 
                 quedar&aacute; pendiente de calificaci&oacute;n por parte de un administrador de OSCUS.</li>
        </ul>
    </div>
</div>
<div class="required-fields">* Campos obligatorios</div>
<?php echo Form::open(NULL, array('id'=>'frmAccountChange')); ?>
    <div id="accordion">
        <h3>1. DATOS DE LA PERSONA NATURAL/JUR&Iacute;DICA:</h3>
        <div>
            <div class="span-22 line last">
                <div class="span-8">
                    <?php echo Form::label("company_name", "* Nombre de la persona natural/jur&iacute;dica:"); ?>
                </div>	
                <div class="span-14 last">
                    <?php echo Form::label("company_name", $client->company_name); ?>
                </div>	
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("ruc", "* RUC:"); ?>
                </div>	
                <div class="span-6 last">
                    <?php echo Form::label("ruc", $client->ruc); ?>
                </div>	
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("province", "* Provincia:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::select("province",$provinces, $client->parish->canton->province->id, array('id'=>'province', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div>	
                <div class="prepend-2 span-3">
                    <?php echo Form::label("canton", "* Cant&oacute;n:", array('id'=>'canton_label')); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::select("canton",$cantons, $client->parish->canton->id, array('id'=>'canton', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div>   

            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("parish_id", "* Parroquia:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::select("parish_id",$parishes, $client->parish->id , array('id'=>'parish_id', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div> 
                <div class="prepend-2 span-3">
                    <?php echo Form::label("neighborhood", "* Sector:"); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::input("neighborhood", $client->neighborhood, array('id'=>'neighborhood', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div>
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("street", "* Calle:"); ?>
                </div>	
                <div class="span-6">
                    <?php echo Form::input("street",$client->street, array('id'=>'street', 'class'=>'span-6', 'tab'=>'0')); ?>
                </div>	
                <div class="span-1">
                    <?php echo Form::label("number_street", "N°:"); ?>
                </div>	
                <div class="span-2">
                    <?php echo Form::input("number_street", $client->number_street, array('id'=>'number_street', 'class'=>'span-2', 'tab'=>'0')); ?>
                </div>   
                <div class="span-3">
                    <?php echo Form::label("transversal", "Transversal:"); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::input("transversal", $client->transversal, array('id'=>'transversal', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div> 
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("company_telephone", "* Tel&eacute;fono:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("company_telephone", $client->company_telephone, array('id'=>'company_telephone', 'class'=>'span-4', 'maxlength'=>'9', 'tab'=>'0')); ?>
                    <?php echo Form::label("company_telephone", "Ej: 023234872", array('class' => 'span-5 notice_add')); ?>
                </div>	
                <div class="span-3">
                    <?php echo Form::label("company_telephone_extension", "Extensi&oacute;n:"); ?>
                </div>	
                <div class="span-2">
                    <?php echo Form::input("company_telephone_extension",$client->company_telephone_extension, array('id'=>'company_telephone_extension', 'class'=>'span-2', 'maxlength'=>'9', 'tab'=>'0')); ?>
                </div>   
                <div class="span-3">
                    <?php echo Form::label("company_fax", "Fax:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("company_fax",$client->company_fax, array('id'=>'company_fax', 'class'=>'span-4', 'maxlength'=>'9', 'tab'=>'0')); ?>
                    <?php echo Form::label("company_fax", "Ej: 023234872", array('class' => 'span-5 notice_add')); ?>
                </div> 
            </div>

            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("company_email", "* Email:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::input("company_email", $client->company_email, array('id'=>'company_email', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div>	
                <div class="prepend-2 span-4">
                    <?php echo Form::label("company_type", "* Su empresa es:"); ?>
                </div>	
                <div class="span-6 last">
                    <?php echo Form::select("company_type",$company_types, $client->company_type, array('id'=>'company_type', 'class'=>'span-6', 'tab'=>'0')); ?>
                </div>   
            </div>
            <div class="span-22 line last">
                <div class="span-4">
                    <?php echo Form::label("activity_start_date", "* Fecha de Inicio de Actividades:"); ?>
                </div>
                <div class="span-5">
                    <?php echo Form::input("activity_start_date", $client->activity_start_date, array('id'=>'activity_start_date', 'class'=>'span-4', 'tab'=>'0', 'readonly'=>'readonly')); ?>
                </div>	
                <div class="prepend-2 span-4">
                    <?php echo Form::label("economic_activity_id", "* Actividad Econ&oacute;mica:"); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::select("economic_activity_id",$economic_activities, $client->economic_activity_id, array('id'=>'economic_activity_id', 'class'=>'span-7', 'tab'=>'0')); ?>
                </div>   
            </div>
        </div>
        <h3>2. DATOS DEL REPRESENTANTE LEGAL, APODERADO O ADMINISTRADOR:</h3>
        <div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("admin_name", "* Nombre:"); ?>
                </div>	
                <div class="span-10 append-9 last">
                    <?php echo Form::input("admin_name", $client->admin_name, array('id'=>'admin_name', 'class'=>'span-10', 'tab'=>'1')); ?>
                </div>	            
            </div>
            <div class="span-22 line last">
                <div class="span-5">
                    <?php echo Form::label("admin_birth_date", "* Fecha de Nacimiento:"); ?>
                </div>	
                <div class="span-6">
                    <?php echo Form::input("admin_birth_date", $client->admin_birth_date, array('id'=>'admin_birth_date', 'class'=>'span-5', 'tab'=>'1', 'readonly'=>'readonly')); ?>
                </div>
                <div class="prepend-1 span-5">
                    <?php echo Form::label("admin_birth_place", "* Lugar de Nacimiento:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("admin_birth_place", $client->admin_birth_place, array('id'=>'admin_birth_place', 'class'=>'span-5', 'tab'=>'1')); ?>
                </div>	

            </div>
            <div class="span-22 line last">
                <div class="span-6">
                    <?php echo Form::label("admin_nomination_date", "* Fecha de Nombramiento:"); ?>
                </div>	
                <div class="span-5 ">
                    <?php echo Form::input("admin_nomination_date", $client->admin_nomination_date, array('id'=>'admin_nomination_date', 'class'=>'span-4', 'tab'=>'1', 'readonly'=>'readonly')); ?>
                </div>
                <div class="prepend-1 span-3">
                    <?php echo Form::label("admin_gender", "* G&eacute;nero:"); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::select("admin_gender",$genders, $client->admin_gender, array('id'=>'admin_gender', 'class'=>'span-7', 'tab'=>'1')); ?>
                </div>

            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("admin_proffesion", "* Profesi&oacute;n:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::input("admin_proffesion", $client->admin_proffesion, array('id'=>'admin_proffesion', 'class'=>'span-7', 'tab'=>'1')); ?>
                </div>
                <div class="prepend-2 span-4">
                    <?php echo Form::label("admin_nacionality_id", "* Nacionalidad:"); ?>
                </div>	
                <div class="span-6 last">
                    <?php echo Form::select("admin_nacionality_id",$countries, $client->admin_nacionality_id, array('id'=>'admin_nacionality_id', 'class'=>'span-6', 'tab'=>'1')); ?>
                </div> 
            </div>
            <div class="span-22 line last">
                <div class="span-5">
                    <?php echo Form::label("admin_document_type", "* Tipo de Documento:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::select("admin_document_type",$document_types, $client->admin_document_type, array('id'=>'admin_document_type', 'class'=>'span-7', 'tab'=>'1')); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::label("admin_document", "* C&eacute;dula/Pasaporte:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("admin_document", $client->admin_document, array('id'=>'admin_document', 'class'=>'span-5', 'tab'=>'1')); ?>
                </div>
            </div>
            <div class="span-22 line last">
                <div class="span-4">
                    <?php echo Form::label("admin_current_position", "* Cargo Actual:"); ?>
                </div>	
                <div class="span-6">
                    <?php echo Form::input("admin_current_position", $client->admin_current_position, array('id'=>'admin_current_position', 'class'=>'span-6', 'tab'=>'1')); ?>
                </div>	
                <div class="prepend-2 span-2">
                    <?php echo Form::label("admin_email", "* Email:"); ?>
                </div>	
                <div class="span-8 last">
                    <?php echo Form::input("admin_email",$client->admin_email, array('id'=>'admin_email', 'class'=>'span-8', 'tab'=>'1')); ?>
                </div>   
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("admin_telephone", "* Tel&eacute;fono:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("admin_telephone", $client->admin_telephone, array('id'=>'admin_telephone', 'class'=>'span-4', 'maxlength'=>'9', 'tab'=>'1')); ?>
                    <?php echo Form::label("company_fax", "Ej: 023234872", array('class' => 'span-5 notice_add')); ?>
                </div>	
                <div class="prepend-5 span-3">
                    <?php echo Form::label("admin_telephone_extension", " Extensi&oacute;n:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("admin_telephone_extension",$client->admin_telephone_extension, array('id'=>'admin_telephone_extension', 'class'=>'span-3', 'maxlength'=>'9', 'tab'=>'1')); ?>
                </div>   
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("admin_mobile_phone", "* Celular:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("admin_mobile_phone", $client->admin_mobile_phone, array('id'=>'admin_mobile_phone', 'class'=>'span-5', 'maxlength'=>'10', 'tab'=>'1')); ?>
                    <?php echo Form::label("admin_mobile_phone", "Ej: 0984410845", array('class' => 'span-5 notice_add')); ?>
                </div>	
                <div class="prepend-5 span-3">
                    <?php echo Form::label("admin_fax", " Fax:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("admin_fax",$client->admin_fax, array('id'=>'admin_fax', 'class'=>'span-5', 'maxlength'=>'9', 'tab'=>'1')); ?>
                    <?php echo Form::label("admin_fax", "Ej: 023234872", array('class' => 'span-5 notice_add')); ?>
                </div>   
            </div>
        </div>
        <h3>3. DATOS DEL ASESOR COMERCIAL O CONTACTO:</h3>
        <div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("contact_name", "* Nombres:"); ?>
                </div>	
                <div class="span-7">
                    <?php echo Form::input("contact_name", $client->contact_name, array('id'=>'contact_name', 'class'=>'span-7', 'tab'=>'2')); ?>
                </div>	

                <div class="prepend-2 span-3">
                    <?php echo Form::label("contact_lastname", "* Apellidos:"); ?>
                </div>	
                <div class="span-7 last">
                    <?php echo Form::input("contact_lastname", $client->contact_lastname, array('id'=>'contact_lastname', 'class'=>'span-7', 'tab'=>'2')); ?>
                </div>	
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("contact_email", "* Email:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("contact_email", $client->contact_email, array('id'=>'contact_email', 'class'=>'span-5', 'tab'=>'2')); ?>
                </div>	
                <div class="prepend-3 span-4">
                    <?php echo Form::label("confirm_email", "* Confirmar Email:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("confirm_email", $client->contact_email, array('id'=>'confirm_email', 'class'=>'span-5', 'tab'=>'2')); ?>
                </div>

            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("contact_telephone", "* Tel&eacute;fono:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("contact_telephone", $client->contact_telephone, array('id'=>'contact_telephone', 'class'=>'span-5', 'maxlength'=>'9', 'tab'=>'2')); ?>
                    <?php echo Form::label("contact_telephone", "Ej: 022234875", array('class' => 'span-5 notice_add')); ?>
                </div>	
                <div class="prepend-3 span-4">
                    <?php echo Form::label("contact_telephone_extension", " Extensi&oacute;n:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::input("contact_telephone_extension",$client->contact_telephone_extension, array('id'=>'contact_telephone_extension', 'class'=>'span-3', 'maxlength'=>'9', 'tab'=>'2')); ?>
                </div>   
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("contact_mobile_phone", "* Celular:"); ?>
                </div>	
                <div class="span-5">
                    <?php echo Form::input("contact_mobile_phone", $client->contact_mobile_phone, array('id'=>'contact_mobile_phone', 'class'=>'span-5', 'maxlength'=>'10', 'tab'=>'2')); ?>
                    <?php echo Form::label("contact_mobile_phone", "Ej: 0984410845", array('class' => 'span-5 notice_add')); ?>
                </div>
            </div>
            <div class="span-22 line last">
                <div class="span-3">
                    <?php echo Form::label("password", "* Contrase&ntilde;a:"); ?>
                </div>	
                <div class="span-5 ">
                    <?php echo Form::password("password",$client->id? "_pass_flag_" : NULL,array('id'=>'password', 'autocomplete'=>'off','class'=>'span-5')); ?>       
                </div>	
                <div class="prepend-3 span-4">
                    <?php echo Form::label("confirmPassword", "* Confirmar Contrase&ntilde;a:"); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::password("confirmPassword",$client->id? "_pass_flag_" : NULL, array('id'=>'confirmPassword', 'autocomplete'=>'off','class'=>'span-5')); ?>
                </div>
            </div>
        </div>
        <h3>4. PERFIL FINANCIERO/NIVEL DE VENTAS ANUALES</h3>
        <div>
            <div class="span-22 line last">
                <div class=" span-7">
                    <?php echo Form::label("company_annual_income", "* Ingreso anual del Proveedor:"); ?>
                </div>	
                <div class="span-15 last">
                    <?php echo Form::input("company_annual_income", $client->company_annual_income, array('id'=>'company_annual_income', 'class'=>'span-15', 'tab'=>'3')); ?>
                </div>		
            </div>
            <div class="span-22 line last">
                <div class=" span-7">
                    <?php echo Form::label("company_principal_product", "* Principal producto:"); ?>
                </div>	
                <div class="span-15 last">
                    <?php echo Form::textarea("company_principal_product", $client->company_principal_product, array('id'=>'company_principal_product', 'class'=>'span-15', 'tab'=>'3')); ?>
                </div>		
            </div>
        </div>
        <h3>5. DATOS DE LA RELACI&Oacute;N COMERCIAL</h3>
        <div>
            <div class="span-22 line last">
                <div class=" span-7">
                    <?php echo Form::label("company_products", " Producto ofertado:"); ?>
                </div>	
                <div class="span-15 last">
                    <?php echo Form::input("company_products", $client->company_products, array('id'=>'company_products', 'class'=>'span-15', 'tab'=>'4')); ?>
                </div>		
            </div>
            <div class="span-22 line last">
                <div class=" span-7">
                    <?php echo Form::label("company_services", " Servicio ofertado:"); ?>
                </div>	
                <div class="span-15 last">
                    <?php echo Form::input("company_services", $client->company_services, array('id'=>'company_services', 'class'=>'span-15', 'tab'=>'4')); ?>
                    <?php echo Form::hidden("company_sp", $client->company_services != '' || $client->company_products != '' ? 'yes' : '' , array('id'=>'company_sp', 'class'=>'span-15', 'tab'=>'4')); ?>
                </div>		
            </div>
            
            <div class="span-22 line last">
                <div class=" span-7">
                    <?php echo Form::label("company_services", "* Categor&iacute;as:"); ?>
                </div>
                <div class="span-15 last">
                    <fieldset>
                        <legend>Todas las Categor&iacute;as:</legend>
                        <div class="span-5">
                                <?php echo Form::select('selBasicCatFrom',$non_client_categories,NULL,array('id'=>'selBasicCatFrom','class'=>'span-5','multiple'=>'multiple','size'=>'6')); ?>
                        </div>
                        <div class="prepend-1 span-2 append-1">
                                <input class="span-2" type="button" id="btnAddAllBasic" value=">>"/>
                                <input class="span-2" type="button" id="btnAddBasic" value=">"/>
                                <input class="span-2" type="button" id="btnRemoveBasic" value="<"/>
                                <input class="span-2" type="button" id="btnRemoveAllBasic" value="<<"/>
                        </div>
                        <div class="span-5 last">
                                <?php echo Form::select('selBasicCatTo[]',$client_categories,NULL,array('id'=>'selBasicCatTo','class'=>'span-5','multiple'=>'multiple','size'=>'6', 'tab'=>'4')); ?>
                        </div>
                    </fieldset>
                </div>    
            </div>
        </div>
    </div> 

    <div class="prepend-10 span-14 line last ">
        <?php echo Form::input('hdnCurrentDate',$current_date ,array('id'=>'hdnCurrentDate','type'=>'hidden')); ?>
        <?php echo Form::button("save", "Guardar",array('id'=>'save','disabled'=>'disabled','type'=>'button')); ?>
        <?php echo Form::hidden("id", $client->id, array('id'=>'id')) ?>
        <?php echo Form::hidden("changed", null, array('id'=>'changed')) ?>
    </div>
<?php echo Form::close(); ?>

<script type="text/javascript">
    $(document).ready(function(){
            
            window.onload = function(){
                switch ($("#admin_document_type").val()){
                    case 'CI':
                            add_ci_rules("#admin_document");
                            break;
                    case 'PASSPORT':
                            add_passport_rules("#admin_document");
                            break;
                }
            }
            $('input,textarea').keyup(function(){
                $('#changed').val('yes');
                $('#save').attr('disabled',false);
            });
            $('select').change(function(){
                $('#changed').val('yes');
                $('#save').attr('disabled',false);
            });
            
            	/*CALENDAR SECTION*/
            $('#admin_birth_date').datepicker({
                dateFormat:"yy-mm-dd",
                showOn: "button",
                changeMonth: true,
                changeYear: true,
                buttonImage: "<?php echo URL::site('/media/images/calendar.gif'); ?>",
                buttonImageOnly: true,
                maxDate:$("#hdnCurrentDate").val()
            });   
            $('#admin_nomination_date').datepicker({
                dateFormat:"yy-mm-dd",
                showOn: "button",
                changeMonth: true,
                changeYear: true,
                buttonImage: "<?php echo URL::site('/media/images/calendar.gif'); ?>",
                buttonImageOnly: true,
                maxDate:$("#hdnCurrentDate").val()
            });
            $('#activity_start_date').datepicker({
                dateFormat:"yy-mm-dd",
                showOn: "button",
                changeMonth: true,
                changeYear: true,
                buttonImage: "<?php echo URL::site('/media/images/calendar.gif'); ?>",
                buttonImageOnly: true,
                maxDate:$("#hdnCurrentDate").val()
            });
            
            $( "#accordion" ).accordion({ 
                heightStyle: "content" 
            });
            
            //CATEGORIES LISTENER
                listSelectorButtons();
                selectItems();
                $('textarea').expandingTextArea();
            //Change in combo box Province, update combo box Canton
            $("#province").bind('change', function(){
                $("#canton").parent('div').load(document_root+'rpc/load_cantons',{provincia: $('#province').val()},function(){
                    //Change in combo box Canton, update combo box Parish
                    $("#canton").bind('change', function(){
                        $("#parish_id").parent('div').load(document_root+'rpc/load_parishes',{canton: $('#canton').val()});
                    });
                });
            });
            
            
            $("#admin_document_type").bind("change", function(){
                switch ($("#admin_document_type").val()){
                    case 'CI':
                            add_ci_rules("#admin_document");
                            break;
                    case 'PASSPORT':
                            add_passport_rules("#admin_document");
                            break;
                }
            });
            
            $("#save").bind("click", function(){
                
                if( $('#company_services').val() != '' || $('#company_products').val() != ''  )
                    $('#company_sp').val('yes');
                else
                    $('#company_sp').val('');
                
                if($("#frmAccountChange").valid()){
                    selectItems();
                    show_ajax_loader();
                    $("#frmAccountChange").submit();
                }else{
                    $('input[type=text], textarea, select, input[type=hidden]').each(function(){
                        if($(this).hasClass('error_validation')){
                            tab = $(this).attr('tab');
                            $('#accordion').accordion({ active: parseInt(tab) });
                            return false;
                        }
                    });		
                }
            });
            
            /*VALIDATION SECTION*/
            $("#frmAccountChange").validate({
                wrapper: "label",
                onkeyup: false,
                onfocusout: false,
                rules: {
                /* start validate company data */
                    company_name:{
                        required: true,
                        remote:{
                            type: "POST",
                            url: document_root+"rpc/check_name",
                            data:{
                                id: $('#id').val()
                            }
                        }
                    },
                    ruc:{
                        required: true,
                        digits: true,
                        maxlength:13,
                        minlength:13,
                        remote:{
                            type: "POST",
                            url: document_root+"rpc/check_ruc",
                            data:{
                                id: $('#id').val()
                            }
                        }
                    },
                    province:{
                        required: true
                    },
                    canton:{
                        required: true
                    },
                    parish_id:{
                        required: true
                    },
                    street:{
                        required: true
                    },
                    number_street:{
                        required: true
                    },
                    transversal:{                        
                    },
                    neighborhood:{
                        required: true
                    },
                    company_telephone:{
                        required: true,
                        digits: true,
                        maxlength:9,
                        minlength:9
                    },
                    company_telephone_extension:{
                        digits: true
                    },
                    company_fax:{
                        digits: true,
                        maxlength:9,
                        minlength:9
                    },
                    company_email:{
                        required: true,
                        email: true,
                        remote:{
                            type: "POST",
                            url: document_root+"rpc/check_company_email",
                            data:{
                                id: $('#id').val()
                            }
                        }
                    },
                    company_type:{
                        required: true
                    },
                    activity_start_date:{
                        required: true
                    },
                    economic_activity_id:{
                        required: true
                    },
                /* end validate company data */
                
                /* start validate admin data */    
                    admin_name:{
                        required: true,
                        textOnly:true
                    },
                    admin_birth_date:{
                        required: true
                    },
                    admin_birth_place:{
                        required: true
                    },
                    admin_nomination_date:{
                        required: true
                    },
                    admin_gender:{
                        required: true
                    },
                    admin_proffesion:{
                        required: true
                    },
                    admin_nacionality_id:{
                        required: true
                    },
                    admin_document_type:{
                        required: true
                    },
                    admin_current_position:{
                        required: true
                    },
                    admin_email:{
                        required: true,
                        email: true,
                        remote:{
                            type: "POST",
                            url: document_root+"rpc/check_admin_email",
                            data:{
                                id: $('#id').val()
                            }
                        }
                    },
                    admin_telephone:{
                        required: true,
                        digits: true,
                        maxlength:9,
                        minlength:9
                    },
                    admin_telephone_extension:{
                        digits: true
                    },
                    admin_mobile_phone:{
                        required: true,
                        digits: true,
                        maxlength:10,
                        minlength:10
                    },
                    admin_fax:{
                        digits: true,
                        maxlength:9,
                        minlength:9
                    },
                    admin_document:{
                        required: true
                    },
                 /* end validate admin data */ 
                 
                 /* start validate contact data */ 
                    contact_name:{
                        required: true,
                        textOnly:true
                    },
                    contact_lastname:{
                        required: true,
                        textOnly:true
                    },
                    contact_email:{
                        required: true,
                        email: true,
                        remote:{
                            type: "POST",
                            url: document_root+"rpc/check_email",
                            data:{
                                id: $('#id').val()
                            }
                        }
                    },
                    confirm_email:{
                        required: true,
                        email: true,
                        equalTo: $('#contact_email')
                    },
                    contact_telephone:{
                        required: true,
                        digits: true,
                        maxlength:9,
                        minlength:9
                    },
                    contact_telephone_extension:{
                        digits: true
                    },
                    contact_mobile_phone:{
                        required: true,
                        digits: true,
                        maxlength:10,
                        minlength:10
                    },
                    password:{
                        required:true,
                        minlength: 8
                    },
                    confirmPassword:{
                        required:true,
                        equalTo:"#password"
                    },
                /* end validate contact data */ 
                
                /* start company economical data */ 
                    company_annual_income:{
                        required: true,
                        number: true
                    },
                    company_principal_product:{
                        required: true
                    },
               /* end company economical data */      
                    
               /* start company products data  
                    company_products:{
                        required: true
                    },
                    company_services:{
                        required: true
                    },*/
                    company_sp:{
                        required: true
                    },    
                    selBasicCatTo:{
                        required: true
                    },
               /* end company products data */ 
               
               /* start captcha validation */ 
                    acceptTerms: {
                        required: true
                    },
                    hdnRecap: {
                        required: true
                        /*remote:{
                            type: "POST",
                            url: document_root+"rpc/recaptcha",
                            data: {
                                recaptcha_challenge_field: function() {
                                    return $("#recaptcha_challenge_field").val();
                                },
                                recaptcha_response_field: function() {
                                    return $("#recaptcha_response_field").val();
                                }
                            }
                        }*/
                    }
               /* end captcha validation */ 
                },
                messages: {
                    company_name: {
                        remote: "El nombre ingresado ya existe"
                    },
                    ruc: {
                        remote: "El ruc ingresado ya existe"
                    },
                    company_email: {
                        remote: "El email ingresado ya existe"
                    },
                    admin_email: {
                        remote: "El email ingresado ya existe"
                    },
                    contact_email: {
                        remote: "El email ingresado ya existe"
                    },
                    confirm_email: {
                        equalTo: "Los emails no coinciden"
                    },
                    password:{
                        required:'El campo es obligatorio'
                    },
                    confirmPassword:{
                        required:'El campo es obligatorio',
                        equalTo:'Las Contrase&ntilde;as no coinciden'
                    },
                    company_sp:{
                        required: "Debe indicar al menos un producto o un servicio que su empresa oferta"
                    } 
                    /*,
                    hdnRecap: {
                        remote: "Las dos palabras de verificaci&oacute;n son incorrectas"
                    }*/
                }
            });
		/*END VALIDATION SECTION*/		
    });
    
    function add_ci_rules(target){

        $(target).rules('remove','required');
        $(target).rules('remove','remote');
        $(target).rules('remove','digits');
        $(target).rules('remove','minlength');
        $(target).rules('remove','cedulaEcuador');
        $(target).rules('remove','maxlength');

        $(target).rules('add',{
            required: true,
            digits: true,
            cedulaEcuador: true,
            async:false,
            remote: {
                    url: document_root+"rpc/check_admin_document",
                    type: "POST",
                    data:{
                        id: $('#id').val()
                    }
            },
            messages:{
                    digits: "Este campo solo acepta n&uacute;meros.",
                    cedulaEcuador: 'Por favor ingrese una c&eacute;dula v&aacute;lida.',
                    remote: "El documento ingresado ya existe."
            }
        });	
    }

    function add_passport_rules(target)
    {
        $(target).rules('remove','required');
        $(target).rules('remove','maxlength');
        $(target).rules('remove','minlength');
        $(target).rules('remove','cedulaEcuador');
        $(target).rules('remove','digits');
        $(target).rules('remove','remote');

        $(target).rules('add',{
                required: true,
                remote: {
                        url: document_root+"admin/rpc/check_admin_document",
                        type: "POST",
                        data:{
                            id: $('#id').val()
                        }
                },
                messages:{
                        remote: "El documento ingresado ya existe."
                }
        });	


    }
        //listSelectorButtons
    function listSelectorButtons(){
        /*LIST SELECTOR*/
                    //BASICS
                            $('#btnAddAllBasic').bind('click', function () {
                                    $('#selBasicCatFrom option').each(function (i) {
                                            var label = $(this).parent().attr("label");
                                            $("#selBasicCatTo").append('<option value="'+$(this).attr('value')+'" selected="selected ">'+$(this).text()+'</option>');
                                            $(this).remove();
                                    });
                            });

                            $('#btnAddBasic').bind('click', function () {
                                    $('#selBasicCatFrom option:selected').each(function (i) {
                                            $("#selBasicCatTo").append('<option value="'+$(this).attr('value')+'" selected="selected ">'+$(this).text()+'</option>');
                                            $(this).remove();
                                    });
                            });

                            $('#btnRemoveBasic').bind('click', function () {
                                    $('#selBasicCatTo option:selected').each(function (i) {		    
                                            $("#selBasicCatFrom").append('<option value="'+$(this).attr('value')+'" selected="selected ">'+$(this).text()+'</option>');
                                            $(this).remove();
                                    });
                            });

                            $('#btnRemoveAllBasic').bind('click', function () {
                                    $('#selBasicCatTo option').each(function (i) {
                                            $("#selBasicCatFrom").append('<option value="'+$(this).attr('value')+'" selected="selected ">'+$(this).text()+'</option>');
                                            $(this).remove();
                                    });
                            });
                    //END BASICS

                    
        /*END LIST SELECTOR*/
    }

    //selectItems 
    function selectItems(){   
            $('#selBasicCatTo option').each(function (i) {
                    $(this).attr('selected','true');
            });
    }
</script>