
INSERT INTO `actions` (`id`, `parent_id`, `name`, `link`) VALUES


(1, NULL, 'Usuarios', 'admin/user/index'),

(2, NULL, 'Perfiles', 'admin/profile/index'),

(3, 1, 'Nuevo Usuario', 'admin/user/create'),

(4, 1, 'Actualizar Usuario', 'admin/user/update'),

(5, 2, 'Nuevo Perfil', 'admin/profile/create'),

(6, 2, 'Actualizar Perfil', 'admin/profile/update'),

(7, NULL, 'Proveedores', 'admin/provider/index'),

(8, 7, 'Nuevo Proveedor', 'admin/provider/create'),

(9, 7, 'Actualizar Proveedor', 'admin/provider/update'),

(10, NULL, 'Productos', 'admin/product/index'),

(11, 10, 'Nuevo Producto', 'admin/product/create'),

(12, 10, 'Actualizar Producto', 'admin/product/update'),

(13, 10, 'Eliminar Producto', 'admin/product/delete'),

(14, NULL, 'Compras', 'admin/purchase/index'),

(15, 14, 'Nueva Compra', 'admin/purchase/create'),

(16, 14, 'Eliminar Compra', 'admin/purchase/delete'),

(17, NULL, 'Clientes', 'admin/customer/index'),

(18, 14, 'Actualizar Compra', 'admin/purchase/update'),

(19, NULL, 'rdenes', 'admin/order/index'),
(20, 19, 'Finalizar orden', 'admin/order/invoice');



INSERT INTO `allowed_actions` (`id`, `action_id`, `url`) VALUES
(1, 6, 'admin/profile/deactivate'),
(2, 4, 'admin/user/deactivate'),
(3, 9, 'admin/provider/deactivate'),
(4, 11, 'admin/product/upload_file'),
(5, 17, 'admin/customer/deactivate'),
(6, 20, 'admin/order/cancel'),
(7, 20, 'admin/order/detail'),
(8, 20, 'admin/order/viewinvoice');


INSERT INTO `profiles` (`id`, `name`, `status`) VALUES
(1, 'Administrador', 'ACTIVE');

INSERT INTO `users` (`id`, `profile_id`, `username`, `password`, `name`, `last_name`, `email`, `status`) VALUES
(1, 1, 'admin', '25d55ad283aa400af464c76d713c07ad', 'Administrador', 'Importadora', 'esteban_d10@hotmail.com', 'ACTIVE'),
(2, 1, 'registro', '25d55ad283aa400af464c76d713c07ad', 'Registro', 'Importadora Dvila', 'postmaster@importadoradavila.com', 'ACTIVE');


INSERT INTO `profile_actions` (`action_id`, `profile_id`) VALUES

(1, 1),

(2, 1),

(3, 1),

(4, 1),

(5, 1),

(6, 1),

(7, 1),

(8, 1),

(9, 1),

(10, 1),

(11, 1),

(12, 1),

(13, 1),

(14, 1),

(15, 1),

(16, 1),

(17, 1),

(18, 1),
(19, 1),
(20, 1);






INSERT INTO `provinces` (`id`, `name`) VALUES
(1, 'Guayas'),
(2, 'Los Ros '),
(3, 'Manab '),
(4, 'Santo Domingo de los Tschilas'),
(5, 'Azuay'),
(6, 'Bolvar'),
(7, 'Caar'),
(8, 'Carchi'),
(9, 'Chimborazo'),
(10, 'Cotopaxi'),
(11, 'Imbabura'),
(12, 'El Oro'),
(13, 'Esmeraldas'),
(14, 'Loja'),
(15, 'Napo'),
(16, 'Orellana'),
(17, 'Pastaza'),
(18, 'Pichincha'),
(19, 'Sucumbos '),
(20, 'Tungurahua'),
(21, 'Morona Santiago'),
(22, 'Galpagos '),
(23, 'Santa Elena'),
(24, 'Zamora Chinchipe ');


INSERT INTO `cities` (`id`, `province_id`, `name`) VALUES
(1, 1, 'Guayaquil'),
(2, 1, 'Durn'),
(3, 1, 'Milagro'),
(4, 1, 'Daule'),
(5, 1, 'Samborondn'),
(6, 1, 'Velasco Ibarra'),
(7, 1, 'El Triunfo'),
(8, 1, 'Playas'),
(9, 1, 'Balzar'),
(10, 1, 'Naranjito'),
(11, 1, 'Naranjal '),
(12, 1, 'Pedro Carbo'),
(13, 1, 'Yaguachi'),
(14, 1, 'Salitre'),
(15, 1, 'Balao'),
(16, 1, 'Santa Luca '),
(17, 1, 'Palestina'),
(18, 1, 'Jujan'),
(19, 1, 'Nobol'),
(20, 1, 'Simn Bolvar '),
(21, 1, 'Coronel Marcelino Mariduea '),
(22, 1, 'Colimes'),
(23, 1, 'Bucay'),
(24, 1, 'Isidro Ayora '),
(25, 2, 'Quevedo'),
(26, 2, 'Babahoyo '),
(27, 2, 'Buena Fe'),
(28, 2, 'Ventanas'),
(29, 2, 'Vinces'),
(30, 2, 'Valencia'),
(31, 2, 'Montalvo'),
(32, 2, 'Mocache '),
(33, 2, 'Puebloviejo '),
(34, 2, 'Palenque '),
(35, 2, 'Catarama '),
(36, 2, 'Baba'),
(37, 2, 'Quinsaloma '),
(38, 3, 'Manta'),
(39, 3, 'Portoviejo '),
(40, 3, 'Chone '),
(41, 3, 'El Carmen '),
(42, 3, 'Montecristi '),
(43, 3, 'Jipijapa '),
(44, 3, 'Pedernales '),
(45, 3, 'Baha de Carquez'),
(46, 3, 'Calceta '),
(47, 3, 'Jaramij '),
(48, 3, 'Puerto Lpez'),
(49, 3, 'San Vicente '),
(50, 3, 'Santa Ana '),
(51, 3, 'Rocafuerte'),
(52, 3, 'Pajn '),
(53, 3, 'Flavio Alfaro '),
(54, 3, 'Jama '),
(55, 3, 'Junn '),
(56, 3, 'Pichincha '),
(57, 3, 'Sucre '),
(58, 3, 'Olmedo(Manab) '),
(59, 4, 'Santo Domingo '),
(60, 4, 'La Concordia '),
(61, 5, 'Cuenca '),
(62, 5, 'Gualaceo '),
(63, 5, 'Paute '),
(64, 5, 'Santa Isabel '),
(65, 5, 'Camilo Ponce Enrquez '),
(66, 5, 'Chordeleg '),
(67, 5, 'Girn '),
(68, 5, 'Sgsig '),
(69, 5, 'San Fernando '),
(70, 5, 'Nabn '),
(71, 5, 'Guachapala '),
(72, 5, 'Pucar '),
(73, 5, 'Sevilla de Oro '),
(74, 5, 'El Pan '),
(75, 6, 'Guaranda '),
(76, 6, 'San Miguel '),
(77, 6, 'Caluma '),
(78, 6, 'Echeanda '),
(79, 6, 'Chimbo '),
(80, 6, 'Chillanes '),
(81, 6, 'Las Naves '),
(82, 7, 'La Troncal '),
(83, 7, 'Azogues '),
(84, 7, 'Caar '),
(85, 7, 'Biblin '),
(86, 7, 'El Tambo '),
(87, 7, 'Suscal '),
(88, 7, 'Dleg '),
(89, 8, 'Tulcn '),
(90, 8, 'San Gabriel '),
(91, 8, 'El ngel '),
(92, 8, 'Huaca '),
(93, 8, 'Mira '),
(94, 8, 'Bolvar '),
(95, 9, 'Riobamba '),
(96, 9, 'Cumand '),
(97, 9, 'Guano '),
(98, 9, 'Alaus '),
(99, 9, 'Chambo '),
(100, 9, 'Chunchi '),
(101, 9, 'Pallatanga '),
(102, 9, 'Guamote '),
(103, 9, 'Penipe '),
(104, 10, 'Latacunga '),
(105, 10, 'La Man '),
(106, 10, 'Salcedo '),
(107, 10, 'Pujil '),
(108, 10, 'Saquisil '),
(109, 10, 'Sigchos '),
(110, 10, 'El Corazn'),
(111, 11, 'Ibarra'),
(112, 11, 'Otavalo'),
(113, 11, 'Atuntaqui'),
(114, 11, 'Cotacachi'),
(115, 11, 'Pimampiro'),
(116, 11, 'Urcuqu '),
(117, 12, 'Machala'),
(118, 12, 'Pasaje'),
(119, 12, 'Santa Rosa'),
(120, 12, 'Huaquillas'),
(121, 12, 'El Guabo '),
(122, 12, 'Arenillas'),
(123, 12, 'Pias '),
(124, 12, 'Zaruma'),
(125, 12, 'Portovelo'),
(126, 12, 'Balsas'),
(127, 12, 'Marcabel '),
(128, 12, 'Pacha'),
(129, 12, 'La Victoria '),
(130, 12, 'Chilla'),
(131, 13, 'Esmeraldas'),
(132, 13, 'Quinind '),
(133, 13, 'San Lorenzo '),
(134, 13, 'Atacames '),
(135, 13, 'Muisne '),
(136, 13, 'Limones '),
(137, 13, 'Rioverde '),
(138, 14, 'Loja'),
(139, 14, 'Catamayo '),
(140, 14, 'Cariamanga '),
(141, 14, 'Macar '),
(142, 14, 'Catacocha '),
(143, 14, 'Alamor '),
(144, 14, 'Celica '),
(145, 14, 'Saraguro '),
(146, 14, 'Zapotillo '),
(147, 14, 'Pindal '),
(148, 14, 'Amaluza '),
(149, 14, 'Gonzanam '),
(150, 14, 'Chaguarpamba '),
(151, 14, 'Sozoranga '),
(152, 14, 'Quilanga '),
(153, 14, 'Olmedo (Loja)'),
(154, 15, 'Tena '),
(155, 15, 'Archidona '),
(156, 15, 'El Chaco '),
(157, 15, 'Baeza '),
(158, 15, 'Carlos Julio Arosemena Tola '),
(159, 16, 'Francisco de Orellana '),
(160, 16, 'La Joya de los Sachas '),
(161, 16, 'Loreto '),
(162, 16, 'Nuevo Rocafuerte '),
(163, 17, 'Puyo '),
(164, 17, 'Santa Clara '),
(165, 17, 'Arajuno '),
(166, 17, 'Mera '),
(167, 18, 'Quito '),
(168, 18, 'Sangolqu '),
(169, 18, 'Cayambe '),
(170, 18, 'Machachi '),
(171, 18, 'Tabacundo '),
(172, 18, 'Pedro Vicente Maldonado '),
(173, 18, 'San Miguel de los Bancos '),
(174, 18, 'Puerto Quito '),
(175, 19, 'Puerto El Carmen de Putumayo '),
(176, 19, 'El Dorado de Cascales '),
(177, 19, 'Lumbaqui '),
(178, 19, 'Tarapoa '),
(179, 19, 'La Bonita '),
(180, 20, 'Ambato '),
(181, 20, 'Baos '),
(182, 20, 'Pelileo '),
(183, 20, 'Pllaro '),
(184, 20, 'Quero '),
(185, 20, 'Cevallos '),
(186, 20, 'Patate '),
(187, 20, 'Tisaleo '),
(188, 20, 'Mocha '),
(202, 21, 'Macas '),
(203, 21, 'Suca '),
(204, 21, 'Gualaquiza '),
(205, 21, 'General Leonidas Plaza Gutirrez '),
(206, 21, 'Palora '),
(207, 21, 'Santiago de Mndez '),
(208, 21, 'Logroo '),
(209, 21, 'San Juan Bosco '),
(210, 21, 'Santiago '),
(211, 21, 'Taisha '),
(212, 21, 'Huamboya '),
(213, 21, 'Pablo Sexto '),
(214, 22, 'Puerto Ayora '),
(215, 22, 'Puerto Baquerizo Moreno '),
(216, 22, 'Puerto Villamil '),
(217, 23, 'La Libertad '),
(218, 23, 'Santa Elena '),
(219, 23, 'Salinas '),
(220, 24, 'Zamora '),
(221, 24, 'Yantzaza '),
(222, 24, 'Zumba '),
(223, 24, 'El Pangui '),
(224, 24, 'Zumbi '),
(225, 24, 'Palanda '),
(226, 24, 'Guayzimi '),
(227, 24, 'Yacuambi '),
(228, 24, 'Paquisha '),
(229, 19, 'Nueva Loja'),
(230, 19, 'Shushufindi ');




INSERT INTO `parameters` (`id`, `description`, `value`) VALUES

(1, 'Impuesto IVA', 0.12),

(2, 'Porcentaje ganancia ', 0.50);