<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Client_Payment extends Controller_Containers_Client {

    public function action_index()
    {
        
        $view=View::factory('client/payment/index');
        $order=  ORM::factory('Order',$this->params[0]);
        $orderproducts=  ORM::factory('OrderProduct')->where('order_id', '=', $order->id)->find_all();
        $items=0;
        foreach ($orderproducts as $orderproduct) {
            
               $items+=$orderproduct->stock;
            
        }
        
        $customer=  ORM::factory('Customer',$this->current_client);
        $view->set("orderproducts", $orderproducts);
        $view->set("items", $items);
        $view->set("customer", $customer);
        $view->set("order", $order);
        $view->set('current_client', $this->current_client);
        $this->template->content = $view;
        
        
        if (!empty($_POST)) 
        {
                try 
                {
                    $success_message = Kohana::message('client', 'order:update:success');
                    
                    
                    $order->status='PAYED';
                    $order->payment_number=$_POST['payment_number'];
                    $order->save();
                    
                    

                    FlashMessenger::factory()->set_message('success', $success_message);
                    $this->request->redirect('client/order/index');
                } 
                catch (ORM_Validation_Exception $ex) 
                {
                    foreach ($ex->errors('validation') as $error) 
                    {
                        FlashMessenger::factory()->set_message('error', $error);
                    }
                }
            
        }
    }
    
}
