<?php

defined('SYSPATH') or die('No direct script access.');

class Controller_Default extends Controller_Containers_Default {
    
    public function action_index() 
    {  
        if(isset($_GET['act']))
        {
            $emailmd5=$_GET['act'];   
            $customers=ORM::factory('Customer')->find_all();
            $b=0;
            foreach ($customers as $customer) {
                if(Model_Globalfunctions::md5_mail($customer->email)==$emailmd5)
                {
                    $customer->status='ACTIVE';
                    $customer->save();
                    if($customer->save()){
                        $success_message = Kohana::message('client', 'client:activation:success');
                        FlashMessenger::factory()->set_message('success', $success_message);
                        $b=1;
                        
                    }
                    else{
                        $success_message = Kohana::message('client', 'client:activation:error');
                        FlashMessenger::factory()->set_message('success', $success_message);
                    }
                    break;
                }
            }          
        }
        if(isset($_GET['registered'])){
        $success_message = Kohana::message('client', 'client:registration:success');
        FlashMessenger::factory()->set_message('success', $success_message);   
        }
        
        if(isset($_GET['contact'])){
        $success_message = Kohana::message('client', 'client:contact:success');
        FlashMessenger::factory()->set_message('success', $success_message);   
        }
        $client = ORM::factory('Customer');
        $view = new View('default/index');
        $products= ORM::factory('Product')->find_all();
        $number_products=  count($products);
        if (!empty($_POST))
        {
            
            if(isset($_POST['button_search']))
            {
                
                $search=$_POST['description'];
                    if($_POST['search_radio']=='All')
                    {
                        $products=  ORM::factory('Product')->where('name', 'LIKE', '%'.$search.'%')->or_where('description', 'LIKE', '%'.$search.'%')->or_where('code', 'LIKE', '%'.$search.'%')->find_all();
                        $number_products=  count($products);
                    }
                    elseif($_POST['search_radio']=='Band')
                    {
                        $products=  ORM::factory('Product')->or_where_open()->where('name', 'LIKE', '%'.$search.'%')->or_where('description', 'LIKE', '%'.$search.'%')->or_where('code', 'LIKE', '%'.$search.'%')->or_where_close()->and_where('type', '=', 'BAND')->find_all();
                        $number_products=  count($products);
                    }
                    elseif($_POST['search_radio']=='Brakepad')
                    {
                        $products=  ORM::factory('Product')->or_where_open()->where('name', 'LIKE', '%'.$search.'%')->or_where('description', 'LIKE', '%'.$search.'%')->or_where('code', 'LIKE', '%'.$search.'%')->or_where_close()->and_where('type', '=', 'BRAKEPAD')->find_all();
                        $number_products=  count($products);
                    }
            }
            elseif (isset($_POST['message_send'])) {
                Model_Globalfunctions::send_message_mail($_POST['email'],$_POST['text']);
                $this->request->redirect('?contact=1');
            }
            else 
            {
            if(isset($_POST['submit']))
            {   
                
                $client_log_in= ORM::factory('Customer')->where("email","=",$_POST['username'])->find();
                if($client_log_in->status=='PENDING'){
                    
                    $pending_client = Kohana::message('client', 'client:registration:pending');
                    FlashMessenger::factory()->set_message('error', $pending_client);
                    Request::current()->redirect('');
                    
                }
                else{
                    if($this->current_client){
                    Request::current()->redirect('client/welcome/index');    
                    }

                    Session::instance()->delete('current_client');
                    $view = View::factory('default/index');

                    $client = Model_Customer::authenticate($_POST['username'], $_POST['password']);                  
                    if ($client && $this->login($client->id)) 
                    {
                        
                        $this->request->redirect('/client/welcome/index');
                    }
                    else
                    {
                        $this->request->redirect('');
                    }
                }
            }
            else
            {
                if($this->current_client)
                {
                    $this->request->redirect('/');
                }
        
                if(count($_POST))
                {
                    $client = ORM::factory('Customer')->
                        where('email', '=', $_POST['email_forgot'])->find();


                    if (!$client->loaded())
                    {
                        FlashMessenger::factory()->
                                set_message('error', 'El Email ingresado no consta en el sistema.');
                    }
                    elseif ($client->status != 'ACTIVE')
                    {
                        FlashMessenger::factory()->
                                set_message('error', 'Su cuenta no esta activa.');
                    }
                    else
                    {
                        // create our password reset token, valid for 24 hours
                        $expiration = date_create('+24 hours');

                        $token = ORM::factory('AuthToken');
                        $token->type = 'reset_password';
                        $token->customer_id = $client->id;
                        $token->expiration_date = $expiration->format('Y-m-d H:i:s');
                        $token->save();

                        Model_Globalfunctions::send_password_mail($client->email,'','', 'http://importadoradavila.com/default/new_password/'.$token->token.'');
              

                        $view = View::factory('default/login/forgot_password_confirmed');
                        $view->email = $client->email;
                        $this->template->content = $view;
                        return;
                    }

                }

                $this->template->content = $view;
                    }
            }
        }
        $view->set("products", $products); 
        $view->set("number_products", $number_products);
        $this->template->content = $view;
}
    
    protected function login($client_id)
    {
        $client = ORM::factory("Customer", $client_id);
        if (!$client->loaded())
            return false;

        $this->session->set('client_id', $client->id);
        return true;
    }
    public static function outer_login($client_id)
    {
        $client = ORM::factory("Customer", $client_id);
        if (!$client->loaded())
            return false;
        $this->session->set('client_id', $client->id);
        return true;
    }
    
    public function action_new_password()
    {
        ini_set('max_execution_time', 1800);
        ini_set('memory_limit', '3G');
        $token = $this->params[0];
        
        if( ! $token) 
            $this->request->redirect ('/client');
        
        $token = ORM::factory("AuthToken")->
                where('token', '=', $token)->
                find();
        
        $invalid_token = false;
        
        if( ! $token->loaded())
        {
            FlashMessenger::factory()->
                        set_message('error', 'Lo sentimos, el enlace que utiliz&oacute; para restaurar su contrase&ntilde;a no es v&aacute;lido.');
            $this->request->redirect('/client');
        }
        else if($token->loaded() && ($token->type != 'reset_password' || $token->expiration_date < gmdate('Y-m-d H:i:s')))
        {
            $token->delete();
            FlashMessenger::factory()->
                        set_message('error', 'Lo sentimos, el enlace que utiliz&oacute; para restaurar su contrase&ntilde;a no es v&aacute;lido.');
            $this->request->redirect('/client');
        }
        
        if(count($_POST))
        {
            $client = Model::factory("Customer")->where('id', '=', $token->customer_id)->find();
            $client->password = $_POST['password'];
            $client->save();

            $this->session->set('client_id', $client->id);

            FlashMessenger::factory()->
            set_message('success', 'Su contrase&ntilde;a se restableci&oacute; exitosamente.');

            $this->request->redirect('/client/');
        }
        
        $view = View::factory('default/new_password');
        $this->template->content = $view;
    }
    
}
