<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Registration extends Controller_Containers_Registration {

    public function action_index() 
    {
        $view = View::factory( 'registration/index' );
        $customer = ORM::factory('Customer');
        $provinces = ORM::factory('Province')->order_by("name")->find_all()->as_array("id", "name");
        $cities=array();
        if (!empty($_POST)) 
        {
            try 
            {
                
                $customer->values($_POST);
                $customer->status="PENDING";
                $customer->save();
                $customer_email=  Model_Globalfunctions::md5_mail($customer->email);
                 Model_Globalfunctions::send_confirmation_mail($customer->email,'','', 'http://importadoradavila.com/?act='.$customer_email.'');
              
               $this->request->redirect('?registered=1');
                
            } 
            catch (ORM_Validation_Exception $ex) 
            {
                foreach ($ex->errors('validation') as $error) 
                {
                    FlashMessenger::factory()->set_message('error', $error);
                }
            }
        }
 
        $view->set("provinces", $provinces);
        $view->set("customer", $customer);
        $view->set("cities",$cities);
        $this->template->set('content', $view);             
        $this->template->content = $view;
        
    }
    
     
        
}
