<?php defined('SYSPATH') or die('No direct script access.');

class Model_Authtoken extends ORM {
    
    public function save(Validation $validation = NULL)
    {
        if(!$this->token) $this->token = $this->generateToken(22);
        
        $this->_saved = false;
        
        parent::save($validation);
    }
    
    private function generateToken($length)
    {
        $alphNums = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz";
        $string = str_shuffle(str_repeat($alphNums, rand(1, $length)));
        return substr($string, rand(0, strlen($string)-$length), $length);
    }
    
}