<?php defined('SYSPATH') or die('No direct script access.'); ?>
<div class="prepend-2 span-20 append-2 last center">
    <h2><?php echo ($product->id? "Actualizar" : "Nuevo"); ?> Producto</h2>
    <div class="required-fields">* Campos obligatorios</div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmCreateProduct','class'=>'span-24 last')); ?>
   <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("code", "* Código:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
                    <?php echo Form::input("code", $product->code, array('id'=>'code','class'=>'span-5')); ?>       
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("name", "* Nombre:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("name", $product->name, array('id'=>'name','class'=>'span-5')); ?>
        </div>	
    </div>

<div class="prepend-1 span-20 append-2 line last">        
        <div class="prepend-1 span-4">
            <?php echo Form::label("type", "* Tipo Producto:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::select("type",Helper_Select::build($type_values,"-Elija el tipo-"), $product->type, array('id'=>'type','class'=>'span-5')); ?>
        </div>	
    </div>

            <div class="prepend-2 span-20 append-2 line last">
                <div class="span-4">
                    <?php echo Form::label("description", "* Descripci&oacuten:", array('class'=>'right')); ?>
                </div>	
                <div class="span-5 last">
                            <?php echo Form::textarea("description", $product->description, array('id'=>'description','class'=>'span-5','style'=>'width:580px;')); ?>       
                </div>	


            </div>

         
        
            
        <div id="uploader_cont" class="prepend-2 span-20 append-2 line last">
            
            <div class="span-4">
                    <?php echo Form::label("image", "* Imagen:", array('class'=>'right')); ?>
            </div>	
            <div id="file-uploader" class="span-4">
                <a id="uploaderBasic" style="margin-right:23px;">Buscar imagen</a>
            </div>
            <div id="percent-loaded-upload" class="hide span-1">
                <?php echo HTML::image('media/images/fancybox_loading.gif', array( 'alt'=>'loading' )); ?>
            </div> 
            <div id="file-div" class="span-10 "></div>
                <?php echo Form::hidden('image', $product->image, array('id'=>'image')) ?>
                     
        </div>

        <div class="prepend-2 span-20 append-2 line last center" style="margin-top: 5px;"> 
            <?php echo HTML::image('media/productsimages/'.$product->id.'/'.$product->image,array('id' => 'image_product','style'=>'width:140px;height:140px','class'=>'center'),NULL, NULL); ?>  
        </div>

    <div class="prepend-2 span-20 append-2 line last center" style="margin-top:30px">
            <?php echo Form::hidden('id', "$product->id", array('id'=>'id')) ?>
            <?php echo Form::submit("save", "Guardar"); ?>
            
    </div>
<?php echo Form::close(); ?>
<script type="text/javascript" >
    $(document).ready(function() {
        
        $('textarea').expandingTextArea();

        uploadfile();
        
        /*VALIDATIONS*/
        $("#frmCreateProduct").validate({
            onfocusout: false,
            onkeyup: false,
            wrapper: "ol",
            rules: {
                
                 code:{
                    required:true,
                    maxlength:100,
                    
                    remote: {
                        url: document_root+"admin/rpc/check_product_code",
                            type: "POST",
                            data:{
                                code: function(){
                                    return $('#code').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                                }
                    }
                },
                
                name:{
                    required:true,
                    textOnly: true,
                    maxlength:150
                    
                },
                
                description:{
                    required:true,
                    maxlength:150
                    
                },
               
           
               
                image:{
                    required:true,
                    maxlength:200
                   
                },
                                     
                type:{
                     required:true
                   
                   
                }
                 

            },
            messages: {
               
                code:{
                    required:'El campo es obligatorio.',
                    digits:'El campo solo acepta dígitos.',
                    remote:'El código ya está asociado a otro producto.'
                }
            
                       
            },
            submitHandler: function(form){

             show_ajax_loader();
             form.submit();
            }
        });
        
    });
    
    function uploadfile(){
    var path = '<?php echo URL::site("admin/product/upload_file");?>';
        var uploader=new qq.FileUploaderBasic({
            button: document.getElementById('uploaderBasic'),
            action: path,
            debug: true,
            multiple: false,
            autoupload:false,
            onProgress: function(id, fileName, loaded, total){
                $('#percent-loaded-upload').show();
            },
            onComplete: function(id, fileName, responseJSON) {     
                if(responseJSON.success==true){
                        $('#image_product').attr('src',document_root+'media/temp/'+responseJSON.filename);
                        $('#image').val(responseJSON.filename);
                    
                    $('#percent-loaded-upload').hide();
                    $('#file-div').html('Imagen cargada exitosamente');
                }
                else
                {
                     $('#percent-loaded-upload').hide();
                }
            }
        });
    }
</script>

