<?php defined('SYSPATH') or die('No direct script access.'); ?>


<div class="prepend-2 span-20 append-2 last center">
	<h2><?php echo ($profile->id?"Actualizar":"Nuevo")?> Perfil</h2>
	<div class="required-fields">* Campos obligatorios</div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmCreateProfile')); ?>

<div class="prepend-2 span-20 append-2 line last">
    <div class="span-8">
        <?php echo Form::label("name", "* Nombre:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
		<div class="span-5 last ">
			<?php echo Form::input("name", $profile->name, array('id'=>'name','class'=>'span-5')); ?>
		</div>        
    </div>	
</div>
<?php if($profile->id): ?>
<div class="prepend-2 span-20 append-2 line last">	
    <div class="span-8">
        <?php echo Form::label("status", "* Estado:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
         <?php echo Form::select("status", $status_values, $profile->status, array('id'=>'status','class'=>'span-5')); ?>
    </div>	
</div>
<?php endif ?>

<div class="prepend-2 span-20 append-2 line last">	
    <div class="span-8">
        <?php echo Form::label("functions", "* Funciones:", array('class'=>'right')); ?>
    </div>	
</div>
<div class="prepend-10 span-20 append-2 line last">
    <?php foreach(Controller_Admin_Profile::sweep_actions($actions) as $action):?>
        <div class="prepend-<?php echo $action["level"] ?>">
            <?php echo Form::checkbox("actions[]", $action["object"]->id, in_array($action["object"],$profile_actions), array('action_id'=>$action["object"]->id, 'parent_id'=>$action["object"]->parent_id, 'class'=>'action-check')); 
            echo $action["object"]->name;?>    
        </div>
    <?php endforeach; ?>
</div>
<div class="prepend-2 span-20 append-2 line last center" style="margin-top:30px">
		<?php echo Form::hidden('id', "$profile->id", array('id'=>'id')) ?>
		<?php echo Form::submit("save", "Guardar"); ?>
                <input type=button value="Atr&aacute;s" onClick="history.go(-1)" style="width:73px;">
</div>
<?php echo Form::close(); ?>
<script type="text/javascript" >
    $(document).ready(function(){
        $('.action-check').click(function() {
            clickAll($(this));
            checkParents($(this));
           
		});
        /*VALIDATIONS*/
        $("#frmCreateProfile").validate({
            onfocusout: false,
            onkeyup: false,
            wrapper: "ol",
            rules: {
                name:{
                    required:true,
                    remote: {
                                    url: document_root+"admin/rpc/check_profilename",
                                    type: "POST",
                                    data:{
                                            username: function(){
                                                    return $('#name').val();
                                            },
                                            id: function(){
                                                    return $('#id').val();
                                            }
                                        }
                                    }
                },
                            status:{
                                required:true
                            }
            },
                    messages:{
                        name:{
                            remote:'Este Perfil ya existe.'
                        }
                    },
            submitHandler: function(form){

             show_ajax_loader();
             form.submit();
            }
        });

    });
    function clickAll(main){
		var value = main.val();
		var checked = $(main).is(":checked");
		$(".action-check[parent_id="+value+"]").each(function() {
//			if( checked ){
//			   $(this).attr( 'checked', true);
//			   clickAll($(this));
//			} else {
//			   $(this).attr( 'checked', false);
//			   clickAll($(this));
//			}
		});
	 }
        
	function checkParents(main){
		var parent_id = main.attr('parent_id');
		var flag = 0;
		var checked = $(main).is(":checked");

		if(checked) {
			$(".action-check[action_id="+parent_id+"]").attr('checked', true);
		} else {
			$(".action-check[parent_id="+parent_id+"]").each(function() {
				if( $(this).is(":checked") ) flag = 1;
			});
			if(flag == 0)
				$(".action-check[action_id="+parent_id+"]").attr('checked', false);
		}

		if(parent_id>0)
				checkParents($(".action-check[action_id="+parent_id+"]"));
	}
</script>

