<?php defined('SYSPATH') or die('No direct script access.'); ?>
<div class="prepend-2 span-20 append-2 last center">
    <h2><?php echo ($provider->id? "Actualizar" : "Nuevo"); ?> Proveedor</h2>
    <div class="required-fields">* Campos obligatorios</div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmCreateProvider','class'=>'span-24 last')); ?>
   <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("name", "* Nombre:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
                    <?php echo Form::input("name", $provider->name, array('id'=>'name','class'=>'span-5')); ?>       
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("ruc", "* RUC:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("ruc", $provider->ruc, array('id'=>'ruc','class'=>'span-5')); ?>
            
            
            
        </div>	
    </div>

   

 

    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("province", "* Provincia:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::select("province",  Helper_Select::build($provinces,"-Elija una provincia-"),$province_id, array('id'=>'province','class'=>'span-5')); ?>       
        
    
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("city_id", "* Ciudad:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::select("city_id",Helper_Select::build($cities,"-Elija una ciudad-"), $provider->city_id, array('id'=>'city_id','class'=>'span-5')); ?>
        </div>	
    </div>


    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("address", "* Direcci&oacute;n:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
                    <?php echo Form::input("address", $provider->address, array('id'=>'address','class'=>'span-5')); ?>       
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("phone", "* Tel&eacute;fono:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("phone", $provider->phone, array('id'=>'phone','class'=>'span-5')); ?>
        </div>	
    </div>


    <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("cellphone", "* Celular:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
                    <?php echo Form::input("cellphone", $provider->cellphone, array('id'=>'cellphone','class'=>'span-5')); ?>       
        </div>	
        <div class="prepend-1 span-4">
            <?php echo Form::label("fax", " Fax:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("fax", $provider->fax, array('id'=>'fax','class'=>'span-5')); ?>
        </div>	
    </div>


 <div class="prepend-2 span-20 append-2 line last">
        <div class="span-4">
            <?php echo Form::label("email", " Email:", array('class'=>'right')); ?>
        </div>	
        <div class="span-5 last">
            <?php echo Form::input("email", $provider->email, array('id'=>'email','class'=>'span-5')); ?>
        </div>
            <?php if($provider->id): ?>
                <div class="prepend-1 span-4">
                <?php echo Form::label("status", "* Estado:", array('class'=>'right')); ?>
                </div>	
                <div class="span-5 last">
                    <?php echo Form::select("status", $status_values, $provider->status, array('id'=>'status','class'=>'span-5')); ?>
                </div>
            <?php endif; ?>
    </div>

    <div class="prepend-2 span-20 append-2 line last center" style="margin-top:30px">
            <?php echo Form::hidden('id', "$provider->id", array('id'=>'id')) ?>
            <?php echo Form::submit("save", "Guardar"); ?>
            
    </div>
<?php echo Form::close(); ?>
<script type="text/javascript" >
    $(document).ready(function() {
        
                    $("#province").bind("change", function(){
                        $("#city_id").load(document_root+'rpc/load_cities',{province: $('#province').val()});
                    });
        
        
        
        /*VALIDATIONS*/
        $("#frmCreateProvider").validate({
            onfocusout: false,
            onkeyup: false,
            wrapper: "ol",
            rules: {
                name:{
                    required:true,
                    textOnly: true,
                    maxlength:150
                },
                ruc:{
                    required:true,
                    digits: true,
                    maxlength:13,
                    minlength:10,
                    remote: {
                        url: document_root+"admin/rpc/check_provider_ruc",
                            type: "POST",
                            data:{
                                ruc: function(){
                                    return $('#ruc').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                                }
                    }
                },
           
                province:{
                    required:true
                },
                city_id:{
                    required:true
                },
                address:{
                    required:true
                    
                },
                phone:{
                    required:true,
                     digits: true,
                     maxlength:15
                   
                },
                 cellphone:{
                    required:true,
                     digits: true,
                     maxlength:12
                },
                fax:{
         
                     digits: true
                   
                },
                 email:{
            
                 email:true,
                 remote: {
                        url: document_root+"admin/rpc/check_provider_email",
                            type: "POST",
                            data:{
                                email: function(){
                                    return $('#email').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                                }
                    }
                }

            },
            messages: {
                name:{
                    required:'El campo es obligatorio.',
                    textOnly:'El campo solo acepta caracteres.'
                },
                ruc:{
                    required:'El campo es obligatorio.',
                    digits:'El campo solo acepta dígitos.',
                    remote:'El RUC ya está asociado a otro proveedor.'
                },
                email:{
                    required:'El campo es obligatorio.',
                    email:'La cadena ingresada no es un email válido',
                    remote:'El email ya está asociado a otro proveedor.'
                }
            
               
            },
            submitHandler: function(form){

             show_ajax_loader();
             form.submit();
            }
        });
        
    });
</script>

