<?php defined('SYSPATH') or die('No direct script access.'); ?>
<div class="prepend-2 span-20 append-2 last">
	<h2>Mi cuenta</h2>
	<div class="required-fields">* Campos obligatorios</div>
</div>

<?php echo Form::open(NULL, array('id'=>'frmAcountUser')); ?>


<div class="prepend-2 span-20 append-2 line last">
    <div class="span-4">
        <?php echo Form::label("email", "* Email:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
		<div class="span-5 last ">
			<?php echo Form::input("email", $user->email, array('id'=>'email','class'=>'span-5')); ?>
		</div>        
    </div>
    <div class="prepend-1 span-4">
        <?php echo Form::label("username", "* Nombre de Usuario:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
		<div class="span-5 last ">
			<?php echo Form::label("username", $user->username, array('id'=>'username','class'=>'span-5')); ?>
		</div>        
    </div>
</div>

<div class="prepend-2 span-20 append-2 line last">
    <div class="span-4">
        <?php echo Form::label("name", "* Nombres:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
		<div class="span-5 last ">
			<?php echo Form::input("name", $user->name, array('id'=>'name','class'=>'span-5')); ?>
		</div>        
    </div>	
	<div class="prepend-1 span-4">
        <?php echo Form::label("lastname", "* Apellidos:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
        <?php echo Form::input("last_name", $user->last_name, array('id'=>'last_name','class'=>'span-5')); ?>
    </div>	
</div>


<div class="prepend-2 span-20 append-2 line last">
    <div class="span-4">
        <?php echo Form::label("password", "* Contrase&ntilde;a:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
		<div class="span-5 last ">
			<?php echo Form::password("password",$user->id? "_pass_flag_" : NULL,array('id'=>'password', 'autocomplete'=>'off','class'=>'span-5')); ?>
		</div>        
    </div>	
	<div class="prepend-1 span-4">
        <?php echo Form::label("confirmPassword", "* Confirmar Contrase&ntilde;a:", array('class'=>'right')); ?>
    </div>	
    <div class="span-5 last">
         <?php echo Form::password("confirmPassword",$user->id? "_pass_flag_" : NULL, array('id'=>'confirmPassword', 'autocomplete'=>'off','class'=>'span-5')); ?>
    </div>	
</div>
<div class="prepend-2 span-20 append-2 line last center" style="margin-top:30px">
		<?php echo Form::hidden('id', "$user->id", array('id'=>'id')) ?>
		<?php echo Form::submit("save", "Guardar"); ?>
                <input type=button value="Atr&aacute;s" onClick="history.go(-1)" style="width:73px;">
                
</div>
        <?php echo Form::close(); ?>
    </div>
</div>
<script type="text/javascript" >
    $(document).ready(function(){

        /*VALIDATIONS*/
        $("#frmAcountUser").validate({
            onfocusout: false,
            onkeyup: false,
            wrapper: "ol",
            rules: {
                firstname:{
                    required:true,
                    textOnly: true
                },
                last_name:{
                    required:true,
                    textOnly: true
                },
                email:{
                    required:true,
                    email: true
                },
                document:{
                    required:true,
                    digits:true,
                    remote: {
                        url: document_root+"admin/rpc/check_useridentification",
                            type: "POST",
                            data:{
                                document: function(){
                                    return $('#document').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                        }
                    }
                },
                username:{
                    required:true,
                    remote: {
                            url: document_root+"admin/rpc/check_username",
                            type: "POST",
                            data:{
                                username: function(){
                                    return $('#username').val();
                                },
                                id: function(){
                                    return $('#id').val();
                                }
                            }
                        }
                },
                profile_id:{
                    required:true
                },
                status:{
                    required:true
                },
                password:{
                    required:true,
                    minlength: 5
                },
                confirmPassword:{
                    required:true,
                    equalTo:"#password"
                }

            },
            messages: {
                firstname:{
                    required:'El campo es obligatorio.',
                    textOnly:'El campo solo acepta caracteres.'
                },
                lastname:{
                    required:'El campo es obligatorio.',
                    textOnly:'El campo solo acepta caracteres.'
                },
                email:{
                    required:'El campo es obligatorio.',
                    email:'Ingrese un email v&aacute;lido.'
                },
                document:{
                    required:'El campo es obligatorio.',
                    remote:'La identificaci&oacute;n ya existe.',
                    maxlength:'El campo puede contener m&aacute;ximo 10 caracteres.',
                    minlength:'El campo puede contener m&iacute;nimo 10 caracteres.',
                    cedulaEcuador:'El campo debe contener un n&uacute;mero de identificaci&oacute;n v&aacute;lido.'
                },
                username:{
                    required:'El campo es obligatorio.',
                    remote: 'El Nombre de Usuario ya existe'
                },
                profile_id:{
                    required:'El campo es obligatorio.'
                },
                status:{
                    required:'El campo es obligatorio.'
                },
                password:{
                    required:'El campo es obligatorio'
                },
                confirmPassword:{
                    required:'El campo es obligatorio',
                    equalTo:'Las Contrase&ntilde;as no coinciden'
                }
            },
            submitHandler: function(form){

             show_ajax_loader();
             form.submit();
            }
        });

    });
</script>


