<h2 class="prepend-top">Restaurar contrase&ntilde;a</h2>

<p>Ingrese una nueva contrase&ntilde;a para su cuenta.</p>

<div class="span-10">
<?php echo Form::open(null, array('id'=>'frmNewPassword')); ?>
    <div class="span-3">
        <?php echo Form::label("password", "Nueva Contrase&ntilde;a"); ?>
    </div>	
    <div class="span-7 last line">
        <?php echo Form::password("password", null, array('id'=>'password', 'class'=>'span-4')); ?>
    </div>
	
	<div class="span-3">
        <?php echo Form::label("confirmation", "Confirmaci&oacute;n"); ?>
    </div>	
    <div class="span-7 last line">
        <?php echo Form::password("confirmation", null, array('id'=>'confirmation', 'class'=>'span-4')); ?>
    </div>
    
    <div class="span-10 center">
        <?php echo Form::submit("send", "Aceptar"); ?>
		o <a href="<?php echo URL::site(); ?>">Cancelar</a>
    </div>
<?php echo Form::close(); ?>
</div>

<script type="text/javascript">
$(document).ready(function(){
    $("#frmNewPassword").validate({
        wrapper: "span",
        onfocusout: false,
        onkeyup: false,
        rules: {
            password:{
                required:true,
                maxlength:45,
                minlength:8
            },
            confirmation:{
                required:true,
                equalTo: $("#password")
            }
        },
        messages: {
            confirmation: {
                equalTo: 'Las Contrase&ntilde;as no coinciden'
            }
        },
        submitHandler: function(form){

         show_ajax_loader();
         form.submit();
        }
    });
});
</script>