<!doctype html>
<html lang="<?php echo I18n::$lang ?>">
    <head>
        <meta charset=utf-8 http-equiv="X-UA-Compatible" content="IE=edge" />
        <title><?php echo $title ?></title>
        <link rel="icon" type="image/png" href='<?php echo URL::site('/favicon.png')?>' />
        <?php foreach ($styles as $file => $type) echo HTML::style($file, array('media' => $type)), PHP_EOL ?>
        <?php foreach ($scripts as $file) echo HTML::script($file), PHP_EOL ?>
        <script type="text/javascript">
                var document_root = '<?php echo Url::site();?>';
        </script>
    </head>
    <body>
        <div class="container">
            <div style="display: none;" id="spinner">
                <div id="ajax_loader"></div>
                <div class="ajax_loader_text">Cargando...</div>
            </div>
            <header id="main_banner_admin" >
                <?php if(isset($current_user)):?>
                    <div class=" span-24  last right account">    
                     
                        
                        <li class="logout">
                            <b>Bienvenido: <?php echo $current_user->name.' '.$current_user->last_name; ?></b>
                            (<a href="<?php echo URL::site().'admin/user/acount'; ?>">
                                    Mi cuenta
                            </a>|<a href="<?php echo URL::site().'admin/login/logout'; ?>">
                                    Cerrar Sesi&oacute;n
                            </a>)
                        </li>
                    </div>
                <?php endif ?>
            </header>
            <div id="header_separator" class="span-24 center"></div>
            
            <div class="span-24 last line ">
                <ul class="sf-menu span-24" style="padding-left:0px;">
                    <?php if(isset($menu)): echo $menu; endif; ?>
                </ul> 
            </div>
            <section id="content" class="span-24 last line ">
                    <div class="prepend-2 span-20 append-2 last line">
                        <?php FlashMessenger::factory()->get_messages(); ?>
                    </div>
                    <?php echo $content; ?>
                    <script type="text/javascript" >
                        $(document).ready(function(){
//                            show_ajax_loader();
                            window.onload = function(){
//                                hide_ajax_loader();
                            }
                        });
                    </script>
            </section>    
            <footer class="span-24 last footer" align="center" style="text-align: center" >
        <div style="margin-right:20px;padding-top:5px;">
            <label style="color:white;font-size:19px;font-weight:normal;">Importadora D&aacute;vila</label>
        </div>
        <div class="span-24 last center">
                        Gerardo Chiriboga N52-128 y Capit&aacute;n Ram&oacute;n Borja (Kennedy) -
                        Telefax: 2416071 / 2814025 -
                        Cel: 0998507601 <br>
                        Email: importadoradavila@hotmail.com<br>
                        Quito – Ecuador

                    </div>
    </footer>
        </div>
    </body>
</html>
<script type="text/javascript" >
    
$(document).ready(function() {
   
});
</script>